Ralink RT3290 doesn't have a bluetooth driver

Bug #1189721 reported by Graeme Pietersz on 2013-06-11
810
This bug affects 164 people
Affects Status Importance Assigned to Milestone
Linux
Confirmed
Medium
Linux Mint
Confirmed
Undecided
Unassigned
bluetooth
Confirmed
Medium
Unassigned
Ubuntu
Undecided
Unassigned

Bug Description

As of Raring Ubuntu has a wifi driver for the RT3290 that works out of the box.

It still does not have bluetooth support.

This thread in the Ubuntu forums links to a driver that is claimed to work:

http://ubuntuforums.org/showthread.php?t=2115570
---
ApportVersion: 2.9.2-0ubuntu8.3
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: graeme 2412 F.... pulseaudio
CRDA:
 country GB:
  (2402 - 2482 @ 40), (N/A, 20)
  (5170 - 5250 @ 40), (N/A, 20)
  (5250 - 5330 @ 40), (N/A, 20), DFS
  (5490 - 5710 @ 40), (N/A, 27), DFS
DistroRelease: Ubuntu 13.04
EcryptfsInUse: Yes
HibernationDevice: RESUME=UUID=2d107179-35e2-4b1f-8bdd-90a01132ec70
InstallationDate: Installed on 2013-05-17 (144 days ago)
InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Release amd64 (20130424)
MachineType: Hewlett-Packard HP ProBook 4540s
MarkForUpload: True
Package: linux (not installed)
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.8.0-31-generic root=UUID=ac74fd89-3445-4a6d-b91b-ae4987867afe ro quiet splash acpi_backlight=vendor vt.handoff=7
ProcVersionSignature: Ubuntu 3.8.0-31.46-generic 3.8.13.8
RelatedPackageVersions:
 linux-restricted-modules-3.8.0-31-generic N/A
 linux-backports-modules-3.8.0-31-generic N/A
 linux-firmware 1.106
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
Tags: raring
Uname: Linux 3.8.0-31-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dialout dip lpadmin plugdev sambashare sudo
dmi.bios.date: 11/06/2012
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: 68IRR Ver. F.32
dmi.board.name: 17F6
dmi.board.vendor: Hewlett-Packard
dmi.board.version: KBC Version 58.1D
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.modalias: dmi:bvnHewlett-Packard:bvr68IRRVer.F.32:bd11/06/2012:svnHewlett-Packard:pnHPProBook4540s:pvrA1018C1100:rvnHewlett-Packard:rn17F6:rvrKBCVersion58.1D:cvnHewlett-Packard:ct10:cvr:
dmi.product.name: HP ProBook 4540s
dmi.product.version: A1018C1100
dmi.sys.vendor: Hewlett-Packard

tags: added: bluetooth ralink rt3290

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1189721

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
summary: - Ralink RT3290 needs blueetooth driver
+ Ralink RT3290 needs bluetooth driver
Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: raring

HP ProBook 450.
Kernel 3.8.0-26 x86_64

 lspci -v output
04:00.1 Bluetooth: Ralink corp. RT3290 Bluetooth
 Subsystem: Hewlett-Packard Company Device 18ec
 Flags: bus master, fast devsel, latency 0, IRQ 10
 Memory at d0600000 (32-bit, non-prefetchable) [size=64K]
 Capabilities: [40] Power Management version 3
 Capabilities: [50] MSI: Enable- Count=1/32 Maskable- 64bit+
 Capabilities: [70] Express Endpoint, MSI 00
 Capabilities: [100] Advanced Error Reporting
 Capabilities: [140] Device Serial Number 00-00-a0-f4-47-56-85-bc

bluethoot device not configured at boot.

emanuele@emybook:~$ lsmod |egrep "rt3|rt2"
rt2800pci 18582 0
rt2800lib 66507 1 rt2800pci
rt2x00pci 14519 1 rt2800pci
rt2x00lib 54869 3 rt2x00pci,rt2800lib,rt2800pci
mac80211 606457 3 rt2x00lib,rt2x00pci,rt2800lib
cfg80211 510937 2 mac80211,rt2x00lib
eeprom_93cx6 13344 1 rt2800pci
crc_ccitt 12707 1 rt2800lib

And the Wifi car is also unstable (randomic disconnections)

girto (patspiper) wrote :

The link in the OP refers indeed to the RT3290 bluetooth driver (and WiFi driver) that should in theory compile on Ubuntu 12.04. It needs however some modifications in order to compile on the more recent kernels.

ApportVersion: 2.9.2-0ubuntu8.1
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: christopher 2046 F.... pulseaudio
DistroRelease: LinuxMint 15
HibernationDevice: RESUME=UUID=3d08e960-32f0-4d5f-b0ec-08b794b71b5a
InstallationDate: Installed on 2013-07-29 (6 days ago)
InstallationMedia: Linux Mint 15 "Olivia" - Release amd64 (20130520)
MachineType: Hewlett-Packard HP ENVY dv6 Notebook PC
MarkForUpload: True
Package: linux 3.8.0.27.45 [origin: Ubuntu]
PackageArchitecture: amd64
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.8.0-27-generic root=UUID=7ab12979-e1b1-4799-9c1d-e640023a4c84 ro quiet splash acpi_backlight=vendor vt.handoff=7
ProcVersionSignature: Ubuntu 3.8.0-27.40-generic 3.8.13.4
RelatedPackageVersions:
 linux-restricted-modules-3.8.0-27-generic N/A
 linux-backports-modules-3.8.0-27-generic N/A
 linux-firmware 1.106
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
Tags: olivia third-party-packages
Uname: Linux 3.8.0-27-generic x86_64
UnreportableReason: This is not an official LinuxMint package. Please remove any third party package and try again.
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
dmi.bios.date: 11/02/2012
dmi.bios.vendor: Insyde
dmi.bios.version: F.22
dmi.board.asset.tag: Type2 - Board Asset Tag
dmi.board.name: 181E
dmi.board.vendor: Hewlett-Packard
dmi.board.version: 52.24
dmi.chassis.asset.tag: Chassis Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnInsyde:bvrF.22:bd11/02/2012:svnHewlett-Packard:pnHPENVYdv6NotebookPC:pvr088A110000305920000620100:rvnHewlett-Packard:rn181E:rvr52.24:cvnHewlett-Packard:ct10:cvrChassisVersion:
dmi.product.name: HP ENVY dv6 Notebook PC
dmi.product.version: 088A110000305920000620100
dmi.sys.vendor: Hewlett-Packard

tags: added: apport-collected olivia third-party-packages

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Download full text (123.1 KiB)

  Hi,
  I have the same problem with raring, and this ralink RT3290. Wifi works, but not bluetooth. What can I do to help you ?

  My dmesg :
[ 0.000000] Initializing cgroup subsys cpuset
[ 0.000000] Initializing cgroup subsys cpu
[ 0.000000] Linux version 3.8.0-26-generic (buildd@panlong) (gcc version 4.7.3 (Ubuntu/Linaro 4.7.3-1ubuntu1) ) #38-Ubuntu SMP Mon Jun 17 21:43:33 UTC 2013 (Ubuntu 3.8.0-26.38-generic 3.8.13.2)
[ 0.000000] Command line: BOOT_IMAGE=/boot/vmlinuz-3.8.0-26-generic root=UUID=c7d6be7f-601f-4f51-85f3-bd3714965325 ro quiet splash acpi_osi=Linux acpi_backlight=vendor vt.handoff=7
[ 0.000000] KERNEL supported cpus:
[ 0.000000] Intel GenuineIntel
[ 0.000000] AMD AuthenticAMD
[ 0.000000] Centaur CentaurHauls
[ 0.000000] e820: BIOS-provided physical RAM map:
[ 0.000000] BIOS-e820: [mem 0x0000000000000000-0x000000000006dfff] usable
[ 0.000000] BIOS-e820: [mem 0x000000000006e000-0x000000000006ffff] ACPI NVS
[ 0.000000] BIOS-e820: [mem 0x0000000000070000-0x0000000000087fff] usable
[ 0.000000] BIOS-e820: [mem 0x0000000000088000-0x00000000000bffff] reserved
[ 0.000000] BIOS-e820: [mem 0x0000000000100000-0x00000000df2befff] usable
[ 0.000000] BIOS-e820: [mem 0x00000000df2bf000-0x00000000dfabefff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000dfabf000-0x00000000dfbbefff] ACPI NVS
[ 0.000000] BIOS-e820: [mem 0x00000000dfbbf000-0x00000000dfbfefff] ACPI data
[ 0.000000] BIOS-e820: [mem 0x00000000dfbff000-0x00000000dfbfffff] usable
[ 0.000000] BIOS-e820: [mem 0x00000000dfc00000-0x00000000dfffffff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000f8000000-0x00000000fbffffff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000fec00000-0x00000000fec00fff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000fec10000-0x00000000fec10fff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000fed80000-0x00000000fed80fff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000fee00000-0x00000000fee00fff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000ffc00000-0x00000000ffffffff] reserved
[ 0.000000] BIOS-e820: [mem 0x0000000100000000-0x0000000106ffffff] usable
[ 0.000000] BIOS-e820: [mem 0x0000000107000000-0x000000011effffff] reserved
[ 0.000000] NX (Execute Disable) protection: active
[ 0.000000] efi: EFI v2.31 by INSYDE Corp.
[ 0.000000] efi: ACPI=0xdfbfe000 ACPI 2.0=0xdfbfe014 SMBIOS=0xdfabef98
[ 0.000000] efi: mem00: type=3, attr=0xf, range=[0x0000000000000000-0x0000000000001000) (0MB)
[ 0.000000] efi: mem01: type=7, attr=0xf, range=[0x0000000000001000-0x000000000000e000) (0MB)
[ 0.000000] efi: mem02: type=3, attr=0xf, range=[0x000000000000e000-0x0000000000010000) (0MB)
[ 0.000000] efi: mem03: type=7, attr=0xf, range=[0x0000000000010000-0x000000000002e000) (0MB)
[ 0.000000] efi: mem04: type=3, attr=0xf, range=[0x000000000002e000-0x000000000002f000) (0MB)
[ 0.000000] efi: mem05: type=4, attr=0xf, range=[0x000000000002f000-0x0000000000030000) (0MB)
[ 0.000000] efi: mem06: type=3, attr=0xf, range=[0x0000000000030000-0x000000000006e000) (0MB)
[ 0.000000] efi: mem07: type=10, attr=0xf, range=[0x000000000006e000-0x0000000000070000) (0MB)
[ 0.000000]...

Aleksander Kovač (adrkv97) wrote :

is there any bluetooth driver for rt3290? i have ubuntu 13.04 and wifi works fine, but bluetooth is simply dead.....

sry for my bad english

wmccarty (wdmlist) wrote :

I am also having the same issue.

Mahesh S Rao (mahesh-srao) wrote :

Having same issue on hp Pavilion 15-e016TX, Ubuntu 13.04
Kernel ve: 3.9.11-030911-generic

WiFi works fine.. No Bluetooth, Device driver status is unclaimed

downloaded rt3290
http://www.mediatek.com/_en/07_downloads/01-1_windowsDetail.php?sn=5033

http://askubuntu.com/questions/253632/how-do-i-get-a-ralink-rt3290-wireless-card-working
Unable to compile..

Josue Soto (josue-soto1) wrote :

Hi I had installed 12.04LTS 64 bit.
Drivers for WIFI works fine. However Bluetooth is not detected.
I had tried solution: Setting Up Wifi and Bluetooth on 12.04 LTS posted previously, but cannot compile in the latest kernel 3.8.

regards
Josue Soto

apport information

description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Hi found solution how to make bluetooth work. I use https://launchpad.net/~barracuda72/+archive/ralink and download package with source code https://launchpad.net/~barracuda72/+archive/ralink/+files/rtbth-dkms_3.9.3-0ubuntu1~ppa3.tar.gz and compile and install. After then my bluetooth adapter starts work. Tested on Ubuntu 13.10

Mahesh S Rao (mahesh-srao) wrote :

Thanks @Saljack. It worked perfect. Both Wifi and Bluetooth are up..
13.04, uname -a: 3.10.9-031009-generic

casper (casper-e) wrote :

Hi, good job.
Can you tell me if airplane mode works ?

Changed in linux (Ubuntu):
assignee: nobody → casper (casper-e)
assignee: casper (casper-e) → nobody
wmccarty (wdmlist) wrote :

I have 64 bit 13.04, I've been trying to compile the driver, and as there is no configure file, and I cannot autoconf one I'm unable to create/install the file.

Can someone explain how this is done with this file? I believe the link above is for a 32 bit only, but Saljack was able to get it to work under 13.10 (the file itself claims to be for 12.10

James Dafoe (jdafoe1) wrote :

I'm on 13.10 64 bit and it worked for me. I packaged it into an installable dkms and attached it. Maybe this will help...

If you've never built a kernel or kernel module before:
sudo apt-get build-dep linux-image-$(uname -r)

Then download attachment and run:
mv rtbth-3.9.3.dkms.tar.gz /usr/src
cd /usr/src
sudo tar -zxvf rtbth-3.9.3.dkms.tar.gz
sudo dkms install -m rtbth -v 3.9.3
sudo modprobe rtbth

To remove:
sudo dkms remove rtbth/3.9.3 --all

Thanks James -- worked a treat. I just have to remember the removal process when this gets into the kernel (how would I know)?

PS mv line should be:

sudo mv rtbth-3.9.3.dkms.tar.gz /usr/src

wmccarty (wdmlist) wrote :

So I realized that because I'm using the stock wifi that comes with the current kernel 3.8.0-32-generic, I think RT2x00 something, the bluetooth doesn't seem to want to work with it. I'll have to install the wifi driver first and get that working before I install the module. I ended up having to copying the dkms.conf file thats in the debian directory to the parent to get the install to work with the above steps.

casper (casper-e) wrote :

  Hi,
  Thank you a lot, I did that, and after I could detect my phone. But after a reboot, that didn' t work again. I don' t know why. Impossible to activate it.

casper (casper-e) wrote :

  And now that works again... I don' t know what happened.

Evan Derickson (derickson-e) wrote :

Is someone actively working on a kernel module to replace the MediaTek driver? Would a polite email campaign, directed at the manufacturer or other parties and requesting that the full source to the driver be released, help with such development at all?

pjarvi (patrickjarvi) wrote :

Tried the instructions listed by James Dafoe, everything seemed to run correctly but "sudo modprobe rtbth" doesn't show anything when I run it and Bluetooth still isn't working.

What I tried so far:
-Updated Kernal to v3.12
-Download RTBTH 3.6.3 package from the site listed above
-Ran the instructions listed by JDafoe1

No luck.

 RT3290 bluetooth doesn't works out of the box on 3.13-rc6 :(

rehragout (arehragout) wrote :

James Dafoes instructions worked in principle for me (13.10, Kernel 3.12) if i use blueman.
however not always - don't know why.
also it doesn't survive any suspend/hibernate-action...

Blaze (blaze) wrote :

Desn't work on current development version,
kernel 3.13.0-5-generic #20-Ubuntu SMP Mon Jan 20 19:56:38 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

wmccarty (wdmlist) wrote :

Is this bug being reported in the correct channel?

Serhiy Zahoriya (xintx-ua) wrote :

Kubuntu 14.04
Linux 3.13.0-19-generic
With no additional actions WiFi connection is stable. Still no bluetooth.

rehragout (arehragout) wrote :

J. Dafoe's Instructions in comment #44 don't work in 14.04 with kernel 3.13 any more.
error message:

make KERNELRELEASE=3.13.0-24-generic -C src/ LINUX_SRC=/lib/modules/3.13.0-24-generic/build.......(bad exit status: 2)
ERROR (dkms apport): binary package for rtbth: 3.9.3 not found
Error! Bad return status for module build on kernel: 3.13.0-24-generic (x86_64)

Høst (helvete) wrote :

Here is the driver for kernel 3.13, patched. According to this page:
http://wirama.web.id/rt3290-bluetooth-rtbth-driver-with-kernel-3-13/

I applied the patch to the driver. It gets compiled and installed, but bluetooth may not work at all (it gives me failure when pairing with any device, please tell me if ithis works with you). The only thing that you need to do is:

make
sudo make install
sudo modprobe rtbth

Everything worked fine on Ubuntu 13.10 x64, 3.11 kernel

firesock (firesock-ml) wrote :

Thank you metal (vpsink)!!

Finally it worked!

If you want to solve the wifi problem, go to the last post at:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1049466

Cheers!!

firesock (firesock-ml) wrote :

But if I want to pair a new device it is failing.
 :(

It seems that there is still some issue.

Høst (helvete) wrote :

Yes, there are still issues on the driver with the 3.13 kernel. It can detect devices but the main issue is when pairing to a new device (at least for me). I hope that someone with knowledge in programming fix it, because this bug has many time and it still doesn't get fixed.

@firesock: If you also have that problem try this command:

$ bluez-simple-agent

If the problem still persists, the bluetooth will not work untill someone reupload the driver 100% functional. This goes worst in every distro/kernel update

rjb (ron-buehler) wrote :

Same problem with a HP Envy 17-j188ez laptop running on Ubuntu 14.04 LTS 64-bit.
Tried the solution suggested on http://wirama.web.id/rt3290-bluetooth-rtbth-driver-with-kernel-3-13/ too. Bluetooth seems working but pairing with devices is not possible:
Logitech T630 mouse: Tells me that pairing is successful, but mouse continues pairing process and mouse not working. After the mouse stops the pairing process after 3 minutes, there is strange behaviour: While the mouse is moved, the connection switch in the mouse settings for the mouse is going on and off every few seconds.
Logitech H800 headset: Tells me that pairing failed.

For both I tried automatic pin and pin = 0000 (as suggested by Logitech if asked for) - no difference.

Høst (helvete) wrote :

I'm viewing that this problem affects to HP computers users specially (I have a HP-G4 2306).
Look at the second answer, one more file is modified, compiled and installed but pairing with devices is still no possible (at least for me). Maybe this help one of yours:
http://askubuntu.com/questions/453605/ralink-rt-3290-bluetooth-problem-on-ubuntu-14-04

Gimnasist (troistimuziki) wrote :

On my PC after patching rtbth as directed in post above (see link) pairing with other devices works, but there is no other activity except pairing (can`t connect to device, send file etc) Ubuntu 13.10. After stopping Bluetooth it will not start until reboot

I cannot pair even after applying the patch, I choose the pairing code is correct but my device (as pair partner) can't see the answer. Probably my BlueDevil version though. I'll try using another version. Anyway, I'm using prepatched package from the 3rd comment here: http://wirama.web.id/rt3290-bluetooth-rtbth-driver-with-kernel-3-13/ (links from http://askubuntu.com/questions/453605/ralink-rt-3290-bluetooth-problem-on-ubuntu-14-04, last answer, first comment)

firesock (firesock-ml) wrote :

Hi!

I have tried:
bluez-simple-agent

But it fails after I confirm that the code is correct in both sides.

Thank you for your help. we will be attentive to any launchpad help...

Orhideous (orhideous) wrote :

HP ProBook 455, Ubuntu 14.04LTS (fresh install) — device pairing still not working with solution in connent #57.
Please, add «trusty» tag to this bug.

SylvainL (sylvain-leirens) wrote :

Ultrabook HP Envy 4-1162sf, Ubuntu 14.04 LTS (fresh install).
Same problem: unable to pair devices using patched driver for kernel 3.13.

Høst (helvete) on 2014-05-07
tags: added: trusty
Josh Nash (nashhole123) wrote :

I am having the same issue using Ubuntu 14.04 on an HP Envy dv6. After following the instrucions found here, I can access my bluetooth and I can accurately scan for devices, and my phone can scan for my computer, it just wont pair. I would love to see some tips and I would be happy to post the output of any log files if asked. I wish I knew more and could provide a more meaningful contribution to something that seems to affect a lot of people.

rjb (ron-buehler) wrote :

I solved this problem by buying another WiFi/Bluetooth adapter.
As I've been reading that some manufacturers (e.g. HP) whitelist a few adapters only in their BIOS, I can confirm that the Intel 7260.HMWWB works out of the box in a HP Envy 17-j188ez and doesn't cost much.

rjb (ron-buehler) wrote :

Just in case somebody is up to get the Intel card I mentioned: Every now and then WiFi is slow and/or loses the connection. See https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1318250
Bluetooth seems unaffected though and works fine.

Høst (helvete) wrote :

Well, the rtbth drivers works very good in Ubuntu 13.10. Someone that still has 13.10 can build and share the whole pre-maked folder, with the modules (.ko files) working? I'm not an expert in this, but I was reading that we can insert the modules (with insmod) and after load it without needing of compiling it with the 3.13 kernel... unless they don't work with a newer kernel, but I think that we can give a try

@Gimnasist (troistimuziki)
In 13.10 I faced with this problem. But if you can pair, and you can't do any other activity you can go to Startup Applications, and add "bluez-simple-agent" on every startup. Restart; now you can use the whole bluetooth. Turning off/on doesn't work very well, there isn't solution to that.

Gimnasist (troistimuziki) wrote :

@Høst (helvete)
Thank you very much for advice, but now it isn't actual :( After some updates and changing kernel from 3.14.0 to 3.14.3 I can't pair computer with any device too. But thank you very much for help!

Orhideous (orhideous) wrote :

I just made some research.
First, I download and compiled in kernel module new drivers with some debug info — https://github.com/vhallac/rtbth/
Then, when I tried create pair with another BT device (phone, for example), I got some debug information in syslog:

===
hci0: Cancel Pair Device (0x001a) failed: Invalid Parameters (0x0d)
===

May be useful:
https://github.com/torvalds/linux/blob/164c09978cebebd8b5fc198e9243777dbaecdfa0/net/bluetooth/mgmt.c#L2955

George Chalkitis (chalkitisge) wrote :

Same issue on HP 650, Bluetooth is not working.

Nick Hager (beefjerkymonster) wrote :

Also experiencing this issue with an HP Pavilion 13z-p100 x2 laptop, using Ubuntu 14.04 64bit. Wifi works great, bluetooth is not working (works fine in w8 however).

Høst (helvete) wrote :

I compiled the rtbth driver (the one for Ubuntu 13.10, comment #44), with a downgraded kernel in Ubuntu 14.04 and still I'm not able to pair with any device... I used this one

http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.11.10-saucy/

Doesn't works. Maybe with an older kernel it works... or the 14.04 driver is causing problems. I don't know how to delete completely and reinstall it... The patched wifi driver for 3.13 also works in 3.11 kernel, so there isn't need to compile it again. You can give it a try, it may work and the problem is the already installed rtbth driver for 14.04.

Høst (helvete) wrote :

Here are another solution. The page offers a .deb x64 only ready to install for Ubuntu 14.04... However it still doesn't works for me (i get pairing error again).

http://guaranteedtofail.com/rt3290-bluetooth-ubuntu-13-10/

kael (kael) wrote :
Download full text (13.0 KiB)

@Høst (helvete)

I'm running Ubuntu 14.04 on an Asus R409C with kernel 3.13.0-24-generic, and I tested with the .x64 .deb mentioned in #78.

Here's the lspci :

03:00.1 Bluetooth: Ralink corp. RT3290 Bluetooth
 Subsystem: Foxconn International, Inc. Device e056
 Flags: bus master, fast devsel, latency 0, IRQ 255
 Memory at f7900000 (32-bit, non-prefetchable) [size=64K]
 Capabilities: <access denied>

Device discovery works but pairing (with a headset or a Galaxy S3) fails. Here are some logs :

/var/log$ sudo grep bluetoothd -R * | grep May\ 25
auth.log:May 25 15:42:55 myhost dbus[744]: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.129" (uid=1000 pid=8955 comm="bluetooth-wizard ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.3" (uid=0 pid=893 comm="/usr/sbin/bluetoothd ")
auth.log:May 25 15:43:28 myhost dbus[744]: message repeated 2 times: [ [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.129" (uid=1000 pid=8955 comm="bluetooth-wizard ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.3" (uid=0 pid=893 comm="/usr/sbin/bluetoothd ")]
auth.log:May 25 15:44:22 myhost dbus[744]: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.130" (uid=1000 pid=8973 comm="bluetooth-wizard ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.3" (uid=0 pid=893 comm="/usr/sbin/bluetoothd ")
auth.log:May 25 15:53:49 myhost dbus[595]: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.81" (uid=1000 pid=2692 comm="bluetooth-wizard ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.1" (uid=0 pid=739 comm="/usr/sbin/bluetoothd ")
auth.log:May 25 15:54:14 myhost dbus[595]: message repeated 2 times: [ [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.81" (uid=1000 pid=2692 comm="bluetooth-wizard ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.1" (uid=0 pid=739 comm="/usr/sbin/bluetoothd ")]
auth.log:May 25 15:54:53 myhost dbus[595]: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.82" (uid=1000 pid=2717 comm="bluetooth-wizard ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.1" (uid=0 pid=739 comm="/usr/sbin/bluetoothd ")
auth.log:May 25 15:55:57 myhost dbus[595]: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.83" (uid=1000 pid=2739 comm="bluetooth-wizard ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.1" (uid=0 pid=739 comm="/usr/sbin/bluetoothd ")
auth.log:May 25 23:11:16 myhost dbus[744]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.37" (uid=112 pid=1840 comm="/usr/lib/x86_64-linux-gnu/indicator-bluetooth/indi") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.3" (uid=0 pid=948 comm="/usr/sbin/bluetoothd ")
auth....

userbot375 (userbot375) wrote :

I am running Ubuntu 14.04 LTS with upgraded kernel of 3.15.0-rc7, i used the patched driver from this website http://www.mediafire.com/download/2t59ayhx9fxxfoh/rtbth-3.9.3-patched.7z
Now i am able to make and install the rt3290bt driver and able to pair my phone with it. I also tested sending files to phone and it is successfully working. Thank you for all of your support and comments. My bluetooth is up and working as normal.

Høst (helvete) wrote :

Upgraded to the 3.15-rc7 kernel (from this link: http://www.yourownlinux.com/2014/05/how-to-install-linux-kernel-3-15-rc7-in-linux.html ) and reinstalled the driver (from the link of comment #80).
Still it don't work, can't pair with other devices. The same with any other kernel.
Can anyone confirm this? Or I need to make a clean Ubuntu install?

firesock (firesock-ml) wrote :

Hi!
I tried the procedure of the #80 and the pairing problem is still happening.

How can we undone this changes of the #80 post? It has increased the shutdown time. I want to remove those drivers and let the system clean.

Thank you.

Høst (helvete) wrote :

@firesock (firesock-ml)

I installed that driver a lot of times (and still I can't get it working). I always do this when I want to uninstall it:

First, blacklist rtbth and reboot. Add "rtbth" at the end of this file and save:
  sudo gedit /etc/modprobe.d/blacklist.conf
 If you blacklist the driver it will not load at every startup and the shutdown time will be less.
 But if you want to clean your system, you can delete it completely:
 Delete the driver with the commands that the dkms package includes (post_remove.sh).

#rm /usr/lib/pm-utils/sleep.d/49rtbt
#rm /usr/bin/rtbt
#rm /etc/modprobe.d/ralink-bt.conf
#rm /dev/rtbth

userbot375 (userbot375) wrote :

I had the same problem of not pairing earlier with the 3.13 kernel. But with 3.15-rc7 kernel i am having no problem with pairing.

firesock (firesock-ml) wrote :

Høst (helvete)
Thank you very much, I have deleted the driver using the commands you showed me:
#rm /usr/lib/pm-utils/sleep.d/49rtbt
#rm /usr/bin/rtbt
#rm /etc/modprobe.d/ralink-bt.conf
#rm /dev/rtbth

I will test the default driver with an usb bluetooth dongle.
:)

Andrew Buckle (a-buckle) wrote :

Upgraded to 3.15-rc7 and installed the patch http://www.mediafire.com/download/2t59ayhx9fxxfoh/rtbth-3.9.3-patched.7z

I can confirm that I can pair with my bluetooth mouse. Pairing failed with my mobile phone though.

Probably a compatibility issue with my phone.

firesock (firesock-ml) wrote :

Hi!

I have deleted the files of the driver and it has solved the time increase in the shutdown, but somehow the bluetooth seems enabled, but the pairing problem with the mobile phone still happens.

Executing lspci:
07:00.1 Bluetooth: Ralink corp. RT3290 Bluetooth

I have installed Blueman but the problem persists.

I have not tested with an usb mouse, just with my phone.

Regards!

SylvainL (sylvain-leirens) wrote :

Hi,
I have tried the use of a more recent kernel as suggested in post #80. I have the same issue (not pairing devices).
I also made a try with kernel 3.15 rc8, yielding same results, and with different devices (Android smartphone, Bose Soundlink mini speaker).
About pairing a smatphone, the right code is received by the computer, but pairing fails. The driver is bugged and need some fixes. After having intented a pairing, the driver remains locked: a padlock is visible on the bluetooth indicator locating in the indicator bar at right top of the screen, and the on/off button doesn't work anymore.
Hope this will help.
Regards,
Sylvain

liuyc (liuyc) wrote :

Neither #74 nor #88 works for my HP (linux 3.15.0-031500-generic).
I can scan for devices and can be scaned by others, but I can't pair with my phone.
I've tried "bluez-simple-agent hci0 XX:XX:XX:XX:XX:XX" and received
"Creating device failed: org.bluez.Error.AuthenticationFailed: Authentication Failed".

bluetooth-wizard gui gives me the same error.

I've got this in syslog
- - - - -
......
Jun 13 21:53:35 liuyc bluetoothd[8685]: Bluetooth daemon 4.101
Jun 13 21:53:35 liuyc bluetoothd[8685]: Starting SDP server
Jun 13 21:53:35 liuyc bluetoothd[8685]: DIS cannot start: GATT is disabled
Jun 13 21:53:35 liuyc bluetoothd[8685]: Failed to init deviceinfo plugin
Jun 13 21:53:35 liuyc bluetoothd[8685]: Failed to init proximity plugin
Jun 13 21:53:35 liuyc bluetoothd[8685]: Failed to init time plugin
Jun 13 21:53:35 liuyc bluetoothd[8685]: Failed to init alert plugin
Jun 13 21:53:35 liuyc bluetoothd[8685]: Failed to init thermometer plugin
Jun 13 21:53:35 liuyc bluetoothd[8685]: Failed to init gatt_example plugin
Jun 13 21:53:35 liuyc bluetoothd[8685]: Bluetooth Management interface initialized
Jun 13 21:53:35 liuyc bluetoothd[8685]: Adapter /org/bluez/8685/hci0 has been enabled
Jun 13 21:53:35 liuyc bluetoothd[8685]: Endpoint registered: sender=:1.36 path=/MediaEndpoint/HFPAG
Jun 13 21:53:35 liuyc bluetoothd[8685]: Endpoint registered: sender=:1.36 path=/MediaEndpoint/HFPHS
Jun 13 21:53:35 liuyc bluetoothd[8685]: Endpoint registered: sender=:1.36 path=/MediaEndpoint/A2DPSource
Jun 13 21:53:35 liuyc bluetoothd[8685]: Endpoint registered: sender=:1.36 path=/MediaEndpoint/A2DPSink
Jun 13 21:53:35 liuyc bluetoothd[8685]: hci0: Load Long Term Keys (0x0013) failed: Not Supported (0x0c)
Jun 13 21:54:15 liuyc bluetoothd[8685]: Discovery session 0x7f5acda77760 with :1.39 activated
Jun 13 21:54:23 liuyc bluetoothd[8685]: Stopping discovery
Jun 13 21:54:28 liuyc bluetoothd[8685]: hci0: Cancel Pair Device (0x001a) failed: Invalid Parameters (0x0d)
Jun 13 21:54:30 liuyc kernel: [ 2729.530152] RTBTH_IOCDMAC: dmac.dmac_op=2
......
- - - - - -
Besides, it won't be reabled once I closed the bluetooth with Fn hot key unless rebooting.
The module can not be removed unless rebooting. (Or I need to do something else?)
"rmmod: ERROR: Module rtbth is in use"
"rmmod: ERROR: Module bluetooth is in use by: bnep rtbth rfcomm"

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

  With the recent release of this Ubuntu release, would like to confirm if this bug is still present. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

You can update to the latest development kernel by simply running the following commands in a terminal window:

    sudo apt-get update
    sudo apt-get dist-upgrade

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

If you want this bot to quit automatically requesting kernel tests, add a tag named: bot-stop-nagging.

 Thank you for your help, we really do appreciate it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.13.0-24.46
Høst (helvete) wrote :

In the 3.15-rc* kernels the problem still persists. Also the working rt3290 driver (https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1049466) should be included in the next kernel release. Same problem here: can't pair, can't turn on after turning off and bluetooth remains locked when trying to pair with any device.
Did an apt-get update and apt-get dist-upgrade, nothing seems to fix the bluetooth driver.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

I also confirm this bug.
I have Ubuntu 14.04 x64 (kernel 3.13.0-29-generic) on Asus X75V laptop.
Wi-fi is disabled on boot. I have to close and open laptop to hibernate it and wake up to activate wi-fi. This is the first issue. I can live with that, but hope it can be fixed in the next patch. Fn+F2 combination does not toogle hardware wi-fi switch. In fact, this is the only Fn button that does not work. Gladly all other Fn buttons work as expected.
Bluetooth does not work at all. It is disabled on boot. And I cannot activate it in System Settings/Bluetooth. If I set bluetooth on there, it remains disabled, and bluetooth status does not appear in menu bar.
I provide output of "lspci" and "rfkill list" commands for you below.

$ lspci
00:00.0 Host bridge: Intel Corporation 3rd Gen Core processor DRAM Controller (rev 09)
00:01.0 PCI bridge: Intel Corporation Xeon E3-1200 v2/3rd Gen Core processor PCI Express Root Port (rev 09)
00:02.0 VGA compatible controller: Intel Corporation 3rd Gen Core processor Graphics Controller (rev 09)
00:14.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB xHCI Host Controller (rev 04)
00:16.0 Communication controller: Intel Corporation 7 Series/C210 Series Chipset Family MEI Controller #1 (rev 04)
00:1a.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB Enhanced Host Controller #2 (rev 04)
00:1b.0 Audio device: Intel Corporation 7 Series/C210 Series Chipset Family High Definition Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 1 (rev c4)
00:1c.1 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 2 (rev c4)
00:1c.3 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 4 (rev c4)
00:1d.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB Enhanced Host Controller #1 (rev 04)
00:1f.0 ISA bridge: Intel Corporation HM76 Express Chipset LPC Controller (rev 04)
00:1f.2 SATA controller: Intel Corporation 7 Series Chipset Family 6-port SATA Controller [AHCI mode] (rev 04)
00:1f.3 SMBus: Intel Corporation 7 Series/C210 Series Chipset Family SMBus Controller (rev 04)
01:00.0 3D controller: NVIDIA Corporation GK208M [GeForce GT 740M] (rev a1)
03:00.0 Network controller: Ralink corp. RT3290 Wireless 802.11n 1T/1R PCIe
03:00.1 Bluetooth: Ralink corp. RT3290 Bluetooth
04:00.0 Ethernet controller: Qualcomm Atheros AR8161 Gigabit Ethernet (rev 10)

$ rfkill list
0: asus-wlan: Wireless LAN
 Soft blocked: no
 Hard blocked: no
1: asus-bluetooth: Bluetooth
 Soft blocked: no
 Hard blocked: no
2: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no

May I help you with something else?

Walttheboss (walttheboss) wrote :

Kubuntu 14.04 all updated. Asus X550LA-DH51 (sweet machine)

Just confirming all the above. My WiFi is working great ootb. No bluetooth at all.

Thanks to all of you who are working no this.

I have the exact same issue. The bluetooth in my ASUS X200CA does not work. I followed the suggestions in: http://askubuntu.com/questions/453605/ralink-rt-3290-bluetooth-problem-on-ubuntu-14-04, with these suggestions, I was able to get the bluetooth to pair with some input devices, but not with all (while a usb bluetooth dongle works fine with all input devices). Furthermore, if I suspend the machine, upon resume, bluetooth is not recognized again, and I have to reboot before it is recognized. This is very annoying. I hope this issue can be fixed shortly.

Thanks.

Alexander (a-v-savchenko) wrote :

I also confirm this bug.

$ uname -a
Linux laptop 3.13.0-29-generic #53-Ubuntu SMP Wed Jun 4 21:00:20 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

$ lspci | grep Blue
03:00.1 Bluetooth: Ralink corp. RT3290 Bluetooth

$ dmesg | grep Blue
[ 17.908598] Bluetooth: Core ver 2.17
[ 17.908617] Bluetooth: HCI device and connection manager initialized
[ 17.908623] Bluetooth: HCI socket layer initialized
[ 17.908625] Bluetooth: L2CAP socket layer initialized
[ 17.908628] Bluetooth: SCO socket layer initialized
[ 17.911829] Bluetooth: RFCOMM TTY layer initialized
[ 17.911839] Bluetooth: RFCOMM socket layer initialized
[ 17.911844] Bluetooth: RFCOMM ver 1.11
[ 17.970123] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[ 17.970126] Bluetooth: BNEP filters: protocol multicast
[ 17.970134] Bluetooth: BNEP socket layer initialized

$ lsmod | egrep "rt28|rt32"
rt2800pci 13606 0
rt2800mmio 20986 1 rt2800pci
rt2800lib 89076 2 rt2800pci,rt2800mmio
rt2x00pci 13287 1 rt2800pci
rt2x00mmio 13603 2 rt2800pci,rt2800mmio
rt2x00lib 55307 5 rt2x00pci,rt2800lib,rt2800pci,rt2800mmio,rt2x00mmio
mac80211 626557 3 rt2x00lib,rt2x00pci,rt2800lib
eeprom_93cx6 13344 1 rt2800pci
crc_ccitt 12707 1 rt2800lib

$ rfkill list all
0: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no
1: asus-wlan: Wireless LAN
 Soft blocked: no
 Hard blocked: no
2: asus-bluetooth: Bluetooth
 Soft blocked: no
 Hard blocked: no

Bluetooth does not work at all.

ChemaRR (buzonchachi) on 2014-07-01
no longer affects: linux
Mihara (medvedev) wrote :

...why does it "no longer affects:linux" when it's evident it remains not working in 3.15 mainline kernel?

Yes it still very much affects Linux. I am also surprised that this bug is not assigned to anyone yet!

flipflip47 (flipflip47) wrote :

This is also affecting me as well.

tags: removed: apport-collected bluetooth olivia ralink rt3290 third-party-packages
Geoff Kelsall (q5sc) wrote :

I do not understand why Bug #1234541 is not a duplicate of this bug. Surely the cause of bluetooth not toggling on is that there is no driver? Please could you explain.

wmccarty (wdmlist) wrote :

How do you add or remove tags?

Høst (helvete) wrote :

At the end of the bug description, there is a section with the tags separated with a space. Click in the yellow button to edit them (you need to separe every one with a space). After adding or removing tags click on the green button with the "✓".

PS: With the 3.13.0-30 kernel the wireless button now partially works for bluetooth (it turns ambar and bluetooth is disabled until the next reboot. It can't turn on bluetooth again, and wifi isn't affected). The button should enable something like airplane mode for wifi and bluetooth (it does in Windows 8). Anyway pairing isn't possible.
 Here are some info
 hoest@hoest:~$ uname -a
 Linux hoest 3.13.0-30-generic #54-Ubuntu SMP Mon Jun 9 22:45:01 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux
 hoest@goest:~$ lspci -nnk
 02:00.0 Network controller [0280]: Ralink corp. RT3290 Wireless 802.11n 1T/1R PCIe [1814:3290]
  Subsystem: Hewlett-Packard Company Ralink RT3290LE 802.11bgn 1x1 Wi-Fi and Bluetooth 4.0 Combo Adapter [103c:18ec]
  Kernel driver in use: rt2860
 02:00.1 Bluetooth [0d11]: Ralink corp. RT3290 Bluetooth [1814:3298]
  Subsystem: Hewlett-Packard Company Ralink RT3290LE 802.11bgn 1x1 Wi-Fi and Bluetooth 4.0 Combo Adapter [103c:18ec]
  Kernel driver in use: rtbt

wmccarty (wdmlist) wrote :

Awesome, thank you. Wonder why they're still identifying this chip as rt2860 (unless of course if the wifi chip is identical and the Bluetooth presents itself as a distinct chip).

tags: added: bot-stop-nagging
Lucho Nacho (livalenz) wrote :

Hi, same problem here with HP Pavilion 15 (Linux lucho-HP 3.13.0-24-generic #47-Ubuntu SMP Fri May 2 23:30:00 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux). I tried #80's solution and now bluetooth is detected, turns on, can detect devices but cannot connect. This is the error:

lucho@lucho-HP:~$ sudo bluez-simple-agent hci0 XX:XX:XX:XX:XX:XX
[sudo] password for lucho:
RequestConfirmation (/org/bluez/5491/hci0/dev_XX_XX_XX_XX_XX_XX, 008809)
Confirm passkey (yes/no): yes
Creating device failed: org.bluez.Error.AuthenticationFailed: Authentication Failed

Geoff Kelsall (q5sc) wrote :

When you remove Bug #1234541 as duplicate I think it would be polite to explain why you have done so, as I have explained above why I thought it was a duplicate. You probably have greater knowledge of this than me so may well be right but if you do not explain how can we know.

Jimmie Tonyan (jimmie-tonyan) wrote :

Also affects HP 23-c050 all-in-one, running Ubuntu 14.04 LTS with Windows 8.1 dual-boot.

Høst (helvete) wrote :

Will this be fixed in the 3.16 kernel? It's annoying to have to use Windows to transfer files via bluetooth. The bluetooth implementation in ubuntu is by far better than the one implemented in Windows. Or at least, how can I contact to the kernel developers, and provide info or test kernels with my hardware? I would patch the driver by myself, if I'd enough knowledge to do it.
The same with wifi. The driver performance is very poor and there are already a functionally driver that can be included in the kernel.

Mayank Batra (mayank-2408) wrote :

Is there an update on this issue? I have been facing the same issue and can't use any bluetooth devices.

summary: - Ralink RT3290 needs bluetooth driver
+ Ralink RT3290 doesn't have a bluetooth driver
Changed in linux:
importance: Undecided → Unknown
status: New → Unknown
Changed in linuxmint:
status: New → Confirmed
Changed in linux (Ubuntu):
status: Confirmed → Triaged
girto (patspiper) wrote :

Regarding the license for bluetooth driver, the c and h files include a GPL2 header. There is no obvious indication for the license of the remaining files:
- Makefile (makefile / script)
- 49rtbt (script)
- rtbt.bin
- Ubuntu RT3290 Bluetooth Host Driver User Guide.pdf

Lamar (ldavisjr) wrote :

I followed the steps to get the Bluetooth to be recongized, but it is unable to pair any bluetooth device.

For the time being, it is not a major issue. I just may buy the Penguin USB Bluetooth adapter or try the Panda Bluetooth 4.0 USB Nano Adapter on Amazon.com. It says that it is compatible with Ubuntu 13.04, maybe it will work with 14.04.

My WiFi seems to be working okay.

@Alberto
That driver just don't work in Ubuntu.
I patched the rt3290 bt driver according to this page:
http://wirama.web.id/rt3290-bluetooth-rtbth-driver-with-kernel-3-13/
And here's it:
http://www.mediafire.com/download/2t59ayhx9fxxfoh/rtbth-3.9.3-patched.7z
It's partially working on >3.13 kernels.
I'm able to compile it and install. However it's still bugged, I can't turn it off and on again (it will not power on again) and it can't pair with any device.

Changed in linux (Ubuntu):
status: Triaged → Confirmed
Changed in linux (Ubuntu):
status: Confirmed → Triaged
JANARDHAN H L (janardhanhl) wrote :

fix described by Adnan in the following link works fine,

http://askubuntu.com/questions/453605/ralink-rt-3290-bluetooth-problem-on-ubuntu-14-04

after following all the steps it is necessary to run binary file to activate bluetooth as mentioned in the PDF in the following link

http://downloads.zotac.com/mediadrivers/mb/download/NB087_Ubuntu.zip

geek (igor-boulliev) wrote :

fix #117 does not help with pairing failure

Jayakrishnan (jkv-nair) on 2014-11-02
Changed in linux (Ubuntu):
status: Triaged → Confirmed
status: Confirmed → New
status: New → Confirmed
AAK (aakb234) on 2014-11-03
Changed in linux (Ubuntu):
assignee: nobody → AAK (aakb234)
giamma (giamma-t) wrote :

fix #117 doesn't work at all; the executable fails to start.
How can I help?

vishnunaini (visred) on 2014-12-05
Changed in linux (Ubuntu):
assignee: AAK (aakb234) → visred (visred-deactivatedaccount-deactivatedaccount)
status: Confirmed → Incomplete
Høst (helvete) wrote :

Why is this bug marked as incomplete? Is necesary more information...?
May I help with something?

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Paul McQuesten (mcquesten) wrote :

Confirm: Ubuntu 14.04 on ASUS R510D: bluetooth fails; wireless works fine

> uname -a
Linux pascal 3.13.0-40-generic #69-Ubuntu SMP Thu Nov 13 17:53:56 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

> lspci -v
  <..snip>
04:00.1 Bluetooth: Ralink corp. RT3290 Bluetooth
        Subsystem: Foxconn International, Inc. Device e056
        Flags: fast devsel, IRQ 11
        Memory at ff900000 (32-bit, non-prefetchable) [disabled] [size=64K]
        Capabilities: <access denied>

> rfkill list all
0: asus-wlan: Wireless LAN
 Soft blocked: yes
 Hard blocked: no
1: asus-bluetooth: Bluetooth
 Soft blocked: no
 Hard blocked: no
2: phy0: Wireless LAN
 Soft blocked: yes
 Hard blocked: no

> dmesg | grep -i blue
[ 23.527340] Bluetooth: Core ver 2.17
[ 23.527367] Bluetooth: HCI device and connection manager initialized
[ 23.527377] Bluetooth: HCI socket layer initialized
[ 23.527380] Bluetooth: L2CAP socket layer initialized
[ 23.527385] Bluetooth: SCO socket layer initialized
[ 23.820600] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[ 23.820605] Bluetooth: BNEP filters: protocol multicast
[ 23.820622] Bluetooth: BNEP socket layer initialized
[ 23.837539] Bluetooth: RFCOMM TTY layer initialized
[ 23.837555] Bluetooth: RFCOMM socket layer initialized
[ 23.837570] Bluetooth: RFCOMM ver 1.11

Ravi Karki (rkarki) wrote :
Download full text (4.1 KiB)

There are many Ubuntu certified laptops using the same RT3290 chip. List is below :

The RaLink RT3290 Bluetooth is under the Bluetooth category and is contained in the ubuntu certified systems below.
Why can't it be included in Standard Ubuntu release which can help many others too. ?

    HP Pavilion 23 All-in-One PC Desktop
        Intel
        Realtek Semiconductor Co., Ltd.
        nVidia
        Intel

    HP 255 G1 Notebook PC Laptop
        AMD processor
        Realtek Semiconductor Co., Ltd.
        AMD

    HP Compaq 15 Notebook PC Laptop
        Intel
        Realtek Semiconductor Co., Ltd.
        nVidia
        Intel

    HP 15 Notebook PC Laptop
        Intel
        Realtek Semiconductor Co., Ltd.
        nVidia
        Intel

    HP 248 G1 Laptop
        Intel
        Realtek Semiconductor Co., Ltd.
        AMD
        Intel

    HP 14 TouchSmart Notebook PC Laptop
        AMD processor
        Realtek Semiconductor Co., Ltd.
        AMD

    HP Compaq 14 TouchSmart Notebook PC Laptop
        AMD processor
        Realtek Semiconductor Co., Ltd.
        AMD

    HP 245 G2 Laptop
        AMD processor
        Realtek Semiconductor Co., Ltd.
        AMD

    HP 15 Notebook PC Laptop
        AMD processor
        Realtek Semiconductor Co., Ltd.
        AMD

    HP Compaq 15 Notebook PC Laptop
        AMD processor
        Realtek Semiconductor Co., Ltd.
        AMD

    HP Pavilion 14 Notebook PC Laptop
        Intel
        Realtek Semiconductor Co., Ltd.
        Intel

    HP ProBook 445 G1 Laptop
        AMD
        Realtek Semiconductor Co., Ltd.
        AMD

    HP Pavilion 14 Notebook PC Laptop
        Intel
        Realtek Semiconductor Co., Ltd.
        Realtek Semiconductor Co., Ltd.
        Intel

    HP ProBook 445 G1 Laptop
        AMD
        Realtek Semiconductor Co., Ltd.
        AMD

    HP Pavilion 20 All-in-One Desktop
        AMD
        Realtek Semiconductor Co., Ltd.
        AMD

    HP 242 G1 Notebook PC Laptop
        Intel
        Realtek Semiconductor Co., Ltd.
        nVidia
        Intel

    HP ENVY m6 Sleekbook Laptop
        Intel
        Realtek Semiconductor Co., Ltd.
        Intel

    HP Pavilion 20 All-in-One PC Desktop
        AMD
        Realtek Semiconductor Co., Ltd.
        AMD

    HP ENVY Sleekbook 14 Laptop
        Intel
        Realtek Semiconductor Co., Ltd.
        Intel

    HP 18 All-in-One Desktop
        AMD
        Realtek Semiconductor Co., Ltd.
        AMD

    HP Compaq 18 All-in-One Desktop
        AMD
        Realtek Semiconductor Co., Ltd.
        AMD

    HP 250 G1 Notebook PC Laptop
        Intel
        Realtek Semiconductor Co., Ltd.
        Intel

    HP Pavilion 23 All-In-One PC Desktop
        Intel
        Realtek Semiconductor Co., Ltd.
        nVidia
        Intel

    HP Pro 3500 Series MT PC Desktop
        Intel
        Intel
        Realtek Semiconductor Co., Ltd.
        AMD
        nVidia
        Intel

    HP Pavilion m4 Laptop
        Intel
        Realtek Semiconductor Co., Ltd.
        nVidia
        Intel

    HP ENVY Pavilion dv4 Laptop
        Intel
        Realtek Semiconductor Co., Ltd.
        nVidia
        Intel

    HP Pavilion g4 Laptop
    ...

Read more...

Ravi,

intriguingly, those systems are certified for Ubuntu *12.04 LTS*, *not*
for Ubuntu *14.04 LTS*. My recollection is that the driver from the
manufacturer was specifically directed at 12.04 (or it may have been a
corresponding kernel version). The kernel has changed sufficiently from
12.04 to 14.04 for the driver no longer to be effective, as one
understands it. Had the manufacturer updated the driver, or someone else
taken over maintenance (with or without manufacturer's sponsorship),
then this frustrating problem would not have arisen.

Cheers,

Robin

PS: It wasn't really necessary to quote all the certified machines (36
in total) in glorious detail!

On 23/12/14 15:29, Ravi Karki wrote:
> There are many Ubuntu certified laptops using the same RT3290 chip.
> List is below :
>
> The RaLink RT3290 Bluetooth is under the Bluetooth category and is contained in the ubuntu certified systems below.
> Why can't it be included in Standard Ubuntu release which can help many others too. ?
>
> <<34 HP & 2 Asus systems' detail DELETED.>>

Robin (robingape) wrote :

Ravi,

intriguingly, those systems are certified for Ubuntu 12.04 LTS, not for Ubuntu 14.04 LTS. My recollection is that the driver from the manufacturer was specifically directed at 12.04 (or it may have been a corresponding kernel version). The kernel has changed sufficiently from 12.04 to 14.04 for the driver no longer to be effective, as one understands it. Had the manufacturer updated the driver, or someone else taken over maintenance (with or without manufacturer's sponsorship), then this frustrating problem would not have arisen.

Cheers,

Robin

PS: It wasn't really necessary to quote all the certified machines (36 in total) in glorious detail!

On 23/12/14 15:29, Ravi Karki wrote:
> There are many Ubuntu certified laptops using the same RT3290 chip.
> List is below :
>
> The RaLink RT3290 Bluetooth is under the Bluetooth category and is contained in the ubuntu certified systems below.
> Why can't it be included in Standard Ubuntu release which can help many others too. ?
>
> <<34 HP & 2 Asus systems' detail DELETED.>>

Ravi Karki (rkarki) wrote :

Robin

Adding such a long list of ubuntu qualified systems was not necessary; it was a mistake....apologies.
Just wanted to mention that RT3290 Bluetooth doesn't work with Ubuntu 12.04 LTS also.
So the problem exists even in that version.

Rgds
Ravi K

newbie (ajinkyaphy) wrote :

bug still persists on 3.13.0-43-generic

with help of ask ubuntu site, I could make ubuntu detect my bluetooth adapter but cannot send files nor receive them and also cannot pair with phone.

newbie (ajinkyaphy) wrote :

i have ubuntu 14.04

Ionuţ Gherman (tard3x) wrote :

any fix for this?...

Paolo Aranha (paolo-aranha) wrote :

The problem persists even with the kernel 3.16.0-30-generic.

I use a laptop HP Envy 17 and run Linux Mint 17.1 "Rebecca" (Mate 64bit), based on Ubuntu 14.04 "Trusty Tahr".

The fix suggested by Adnan ( http://askubuntu.com/questions/453605/ralink-rt-3290-bluetooth-problem-on-ubuntu-14-04 ) let the bluetooth adapter to be recognised when running

rfkill list all

However, I can't find any relief following this additional solution:

http://downloads.zotac.com/mediadrivers/mb/download/NB087_Ubuntu.zip

Xiao Bao Clark (xiaobaoclark) wrote :

I'm also affected. WiFi works great but no bluetooth device shows up. Linux mint 17.1 on HP Envy j052-tx.

Dan Hill (z-dan-9) wrote :

I do not have Bluetooth here either. None of the proposed drivers would compile.

Ubuntu 14.10
3.16.0-31-generic
HP Envy Touchsmart j009wm

$ rfkill list all
0: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no

$ lspci | grep Bluetooth
04:00.1 Bluetooth: Ralink corp. RT3290 Bluetooth

david6 (andrew-dowden) wrote :

Dan,

The suggested fix in Comment 129 (Adnan's answer, on AskUbuntu) does work for Ubuntu 14.10; but requires his suggested changes to two source files (before compiling). It did NOT require step 7, or any additional files/binary code.

  HP 250 G3 (15.6", Celeron), Ubuntu 14.10 (64-bit), Ralink RT3290.

What drivers did you try?

puntomega (puntomega) wrote :

same problem

Martin (martin-jones) wrote :

effecting me to. new hp 350. wireless is fine, no BT. updated to the latest 3.19 kernel but no improvement.

Iv Betta (ivan-bettarini) wrote :

same problem

giamma (giamma-t) wrote :

Guys, I had to solve this problem by replacing the card with an Intel 7260. It has a good support and the driver is well mantained by the manifacturer. Ralink/mediatek has shown little (no) interest in developing a solution for us.
I suggest you to do the same. Avoid wasting your time on this faulty chipset

Paul McQuesten (mcquesten) wrote :
Download full text (3.2 KiB)

My system is a laptop, so no card expansion slots. And I use all three USB
slots.

On Fri, Jun 19, 2015 at 8:53 AM, giamma <email address hidden> wrote:

> Guys, I had to solve this problem by replacing the card with an Intel
> 7260. It has a good support and the driver is well mantained by the
> manifacturer. Ralink/mediatek has shown little (no) interest in developing
> a solution for us.
> I suggest you to do the same. Avoid wasting your time on this faulty
> chipset
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1189721
>
> Title:
> Ralink RT3290 doesn't have a bluetooth driver
>
> Status in The Linux Kernel:
> Unknown
> Status in The Linux Mint Distribution:
> Confirmed
> Status in linux package in Ubuntu:
> Confirmed
>
> Bug description:
> As of Raring Ubuntu has a wifi driver for the RT3290 that works out of
> the box.
>
> It still does not have bluetooth support.
>
> This thread in the Ubuntu forums links to a driver that is claimed to
> work:
>
> http://ubuntuforums.org/showthread.php?t=2115570
> ---
> ApportVersion: 2.9.2-0ubuntu8.3
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: graeme 2412 F.... pulseaudio
> CRDA:
> country GB:
> (2402 - 2482 @ 40), (N/A, 20)
> (5170 - 5250 @ 40), (N/A, 20)
> (5250 - 5330 @ 40), (N/A, 20), DFS
> (5490 - 5710 @ 40), (N/A, 27), DFS
> DistroRelease: Ubuntu 13.04
> EcryptfsInUse: Yes
> HibernationDevice: RESUME=UUID=2d107179-35e2-4b1f-8bdd-90a01132ec70
> InstallationDate: Installed on 2013-05-17 (144 days ago)
> InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Release amd64
> (20130424)
> MachineType: Hewlett-Packard HP ProBook 4540s
> MarkForUpload: True
> Package: linux (not installed)
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.8.0-31-generic
> root=UUID=ac74fd89-3445-4a6d-b91b-ae4987867afe ro quiet splash
> acpi_backlight=vendor vt.handoff=7
> ProcVersionSignature: Ubuntu 3.8.0-31.46-generic 3.8.13.8
> RelatedPackageVersions:
> linux-restricted-modules-3.8.0-31-generic N/A
> linux-backports-modules-3.8.0-31-generic N/A
> linux-firmware 1.106
> RfKill:
> 0: phy0: Wireless LAN
> Soft blocked: no
> Hard blocked: no
> Tags: raring
> Uname: Linux 3.8.0-31-generic x86_64
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups: adm cdrom dialout dip lpadmin plugdev sambashare sudo
> dmi.bios.date: 11/06/2012
> dmi.bios.vendor: Hewlett-Packard
> dmi.bios.version: 68IRR Ver. F.32
> dmi.board.name: 17F6
> dmi.board.vendor: Hewlett-Packard
> dmi.board.version: KBC Version 58.1D
> dmi.chassis.type: 10
> dmi.chassis.vendor: Hewlett-Packard
> dmi.modalias:
> dmi:bvnHewlett-Packard:bvr68IRRVer.F.32:bd11/06/2012:svnHewlett-Packard:pnHPProBook4540s:pvrA1018C1100:rvnHewlett-Packard:rn17F6:rvrKBCVersion58.1D:cvnHewlett-Packard:ct10:cvr:
> dmi.product.name: HP ProBook 4540s
> dmi.product.version: A1018C1100
> dmi.sys.vendor: Hewlett-Packard
>
> T...

Read more...

Download full text (3.6 KiB)

Which model? Mine is a laptop as well. I simply replacée the existent card (mini PCI e)

  Messaggio originale
Da: Paul McQuesten
Inviato: venerdì 19 giugno 2015 16:11
A: <email address hidden>
Rispondi a: Bug 1189721
Oggetto: Re: [Bug 1189721] Re: Ralink RT3290 doesn't have a bluetooth driver

My system is a laptop, so no card expansion slots. And I use all three USB
slots.

On Fri, Jun 19, 2015 at 8:53 AM, giamma <email address hidden>
wrote:

> Guys, I had to solve this problem by replacing the card with an Intel
> 7260. It has a good support and the driver is well mantained by the
> manifacturer. Ralink/mediatek has shown little (no) interest in developing
> a solution for us.
> I suggest you to do the same. Avoid wasting your time on this faulty
> chipset
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1189721
>
> Title:
> Ralink RT3290 doesn't have a bluetooth driver
>
> Status in The Linux Kernel:
> Unknown
> Status in The Linux Mint Distribution:
> Confirmed
> Status in linux package in Ubuntu:
> Confirmed
>
> Bug description:
> As of Raring Ubuntu has a wifi driver for the RT3290 that works out of
> the box.
>
> It still does not have bluetooth support.
>
> This thread in the Ubuntu forums links to a driver that is claimed to
> work:
>
> http://ubuntuforums.org/showthread.php?t=2115570
> ---
> ApportVersion: 2.9.2-0ubuntu8.3
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: graeme 2412 F.... pulseaudio
> CRDA:
> country GB:
> (2402 - 2482 @ 40), (N/A, 20)
> (5170 - 5250 @ 40), (N/A, 20)
> (5250 - 5330 @ 40), (N/A, 20), DFS
> (5490 - 5710 @ 40), (N/A, 27), DFS
> DistroRelease: Ubuntu 13.04
> EcryptfsInUse: Yes
> HibernationDevice: RESUME=UUID=2d107179-35e2-4b1f-8bdd-90a01132ec70
> InstallationDate: Installed on 2013-05-17 (144 days ago)
> InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Release amd64
> (20130424)
> MachineType: Hewlett-Packard HP ProBook 4540s
> MarkForUpload: True
> Package: linux (not installed)
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.8.0-31-generic
> root=UUID=ac74fd89-3445-4a6d-b91b-ae4987867afe ro quiet splash
> acpi_backlight=vendor vt.handoff=7
> ProcVersionSignature: Ubuntu 3.8.0-31.46-generic 3.8.13.8
> RelatedPackageVersions:
> linux-restricted-modules-3.8.0-31-generic N/A
> linux-backports-modules-3.8.0-31-generic N/A
> linux-firmware 1.106
> RfKill:
> 0: phy0: Wireless LAN
> Soft blocked: no
> Hard blocked: no
> Tags: raring
> Uname: Linux 3.8.0-31-generic x86_64
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups: adm cdrom dialout dip lpadmin plugdev sambashare sudo
> dmi.bios.date: 11/06/2012
> dmi.bios.vendor: Hewlett-Packard
> dmi.bios.version: 68IRR Ver. F.32
> dmi.board.name: 17F6
> dmi.board.vendor: Hewlett-Packard
> dmi.board.version: KBC Version 58.1D
> dmi.chassis.type: 10
> dmi.chassis.vendor: Hewlett-Packard
> dmi.modalias:
> dmi:bvnHewlett-Packard:bvr68IRRVer.F.32:bd11/06/2012:svnHewlett-Packard:pnHPProBook4540s:pvrA1018C1100:rvnHewlett-Packard:rn17F6:rvrKBCVersion58.1D:cvnHewlett-Packard:ct10:cvr:
> dmi.product....

Read more...

Alex10336 (ap10336) wrote :

Can you stop posting for replacement by another card, please ?

Reporting bugs is for fix it. Not to replace card by another.

Thanks.

I've moved on to Intel as well, I'll unsubscribe. Fixing something you have no knowledge about because it's closed source proprietary thing that the vendor doesn't even care is a waste of time.

Download full text (6.8 KiB)

ASUS R510D. Have to take the keyboard off to get to the innards. That would
void the warranty.

On Fri, Jun 19, 2015 at 9:53 AM, giamma <email address hidden> wrote:

> Which model? Mine is a laptop as well. I simply replacée the existent
> card (mini PCI e)
>
> Messaggio originale
> Da: Paul McQuesten
> Inviato: venerdì 19 giugno 2015 16:11
> A: <email address hidden>
> Rispondi a: Bug 1189721
> Oggetto: Re: [Bug 1189721] Re: Ralink RT3290 doesn't have a bluetooth
> driver
>
> My system is a laptop, so no card expansion slots. And I use all three USB
> slots.
>
> On Fri, Jun 19, 2015 at 8:53 AM, giamma <email address hidden>
> wrote:
>
> > Guys, I had to solve this problem by replacing the card with an Intel
> > 7260. It has a good support and the driver is well mantained by the
> > manifacturer. Ralink/mediatek has shown little (no) interest in
> developing
> > a solution for us.
> > I suggest you to do the same. Avoid wasting your time on this faulty
> > chipset
> >
> > --
> > You received this bug notification because you are subscribed to the bug
> > report.
> > https://bugs.launchpad.net/bugs/1189721
> >
> > Title:
> > Ralink RT3290 doesn't have a bluetooth driver
> >
> > Status in The Linux Kernel:
> > Unknown
> > Status in The Linux Mint Distribution:
> > Confirmed
> > Status in linux package in Ubuntu:
> > Confirmed
> >
> > Bug description:
> > As of Raring Ubuntu has a wifi driver for the RT3290 that works out of
> > the box.
> >
> > It still does not have bluetooth support.
> >
> > This thread in the Ubuntu forums links to a driver that is claimed to
> > work:
> >
> > http://ubuntuforums.org/showthread.php?t=2115570
> > ---
> > ApportVersion: 2.9.2-0ubuntu8.3
> > Architecture: amd64
> > AudioDevicesInUse:
> > USER PID ACCESS COMMAND
> > /dev/snd/controlC0: graeme 2412 F.... pulseaudio
> > CRDA:
> > country GB:
> > (2402 - 2482 @ 40), (N/A, 20)
> > (5170 - 5250 @ 40), (N/A, 20)
> > (5250 - 5330 @ 40), (N/A, 20), DFS
> > (5490 - 5710 @ 40), (N/A, 27), DFS
> > DistroRelease: Ubuntu 13.04
> > EcryptfsInUse: Yes
> > HibernationDevice: RESUME=UUID=2d107179-35e2-4b1f-8bdd-90a01132ec70
> > InstallationDate: Installed on 2013-05-17 (144 days ago)
> > InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Release amd64
> > (20130424)
> > MachineType: Hewlett-Packard HP ProBook 4540s
> > MarkForUpload: True
> > Package: linux (not installed)
> > ProcFB: 0 inteldrmfb
> > ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.8.0-31-generic
> > root=UUID=ac74fd89-3445-4a6d-b91b-ae4987867afe ro quiet splash
> > acpi_backlight=vendor vt.handoff=7
> > ProcVersionSignature: Ubuntu 3.8.0-31.46-generic 3.8.13.8
> > RelatedPackageVersions:
> > linux-restricted-modules-3.8.0-31-generic N/A
> > linux-backports-modules-3.8.0-31-generic N/A
> > linux-firmware 1.106
> > RfKill:
> > 0: phy0: Wireless LAN
> > Soft blocked: no
> > Hard blocked: no
> > Tags: raring
> > Uname: Linux 3.8.0-31-generic x86_64
> > UpgradeStatus: No upgrade log present (probably fresh install)
> > UserGroups: adm cdrom dialout dip lpadmin plugdev sambashare sudo
> > dmi.bios.date: 11/06/2012
> > dmi.bios.vendor: Hewlett-Packard
> > dmi.bios.version: 68IRR Ver. F.32
> > dmi.board.name:...

Read more...

affecting me too. new HP 250 Intel core i5-4210U . wireless is fine, System settings Bluetooth says: No Bluetooth adapters found on Ubuntu 14.04, 14.10, 15.04, up to 15.10
Linux corrado-wily 3.19.0-22-generic #22-Ubuntu SMP Tue Jun 16 17:15:15 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
Bluetooth works fine on my HP 620.

RT3290 Bluetooth for Ubuntu 15.04 vivid
http://alexandre-mbm.github.io/rt3290

liuyc (liuyc) wrote :

The driver "http://www.mediafire.com/download/2t59ayhx9fxxfoh/rtbth-3.9.3-patched.7z" is mentioned in #80/#88.

Still won't work for me:(

I have not had chance to test pairing.

does not work on my Vivid 3.19.0-21 but works fine on my Wily THANKS a lot

corrado@corrado-wily:~/Downloads$ sudo dpkg -i rtbth_3.9.3-patched-1_amd64.deb
Selecting previously unselected package rtbth.
(Reading database ... 224342 files and directories currently installed.)
Preparing to unpack rtbth_3.9.3-patched-1_amd64.deb ...
Unpacking rtbth (3.9.3-patched-1) ...
Setting up rtbth (3.9.3-patched-1) ...
corrado@corrado-wily:~/Downloads$ sudo modprobe rtbth
corrado@corrado-wily:~/Downloads$ init complete

corrado@corrado-wily:~/Downloads$ rfkill list all
0: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no
1: hci0: Bluetooth
 Soft blocked: no
 Hard blocked: no
corrado@corrado-wily:~/Downloads$
corrado@corrado-wily:~/Downloads$ uname -a
Linux corrado-wily 3.19.0-22-generic #22-Ubuntu SMP Tue Jun 16 17:15:15 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
corrado@corrado-wily:~/Downloads$

09:00.1 Bluetooth: Ralink corp. RT3290 Bluetooth
 Subsystem: Hewlett-Packard Company Ralink RT3290LE 802.11bgn 1x1 Wi-Fi and Bluetooth 4.0 Combo Adapter
 Flags: bus master, fast devsel, latency 0, IRQ 16
 Memory at b2500000 (32-bit, non-prefetchable) [size=64K]
 Capabilities: <access denied>
 Kernel driver in use: rtbt

... but after reboot Bluetooth is dead again ...

Sorry.

$ sudo modprobe -r rtbth
$ sudo modprobe rtbth

That package is a workaround that I am doing to my brother. It has bugs.

Does anyone got the bluetooth device successfully paired with another device?

Yes, my brother got, the mouse.

Fentadroid (daniele-mirabile) wrote :

Alexandre Magno, i tried this way too:

http://askubuntu.com/questions/453605/ralink-rt-3290-bluetooth-problem-on-ubuntu-14-04

It works, partially.
It only pairs really old device like my Nokia E65. I can send/receive files.
Newer devices like my LG G3 doesn't see my laptop and cannot pair.
Can you please explain what should we do exactly?
Thanks... i don't wont to turn back to windows os...

Paul McQuesten (mcquesten) wrote :
Download full text (3.4 KiB)

Looks like you meant to email Mango, but it came to me.
I am in same boat: Bluetooth looks like it is working, but will not pair.
Thanks for your evidence about pairing with older device. I will try to
find one.
On Aug 25, 2015 10:46 AM, "Fentadroid" <email address hidden> wrote:

> Alexandre Magno, i tried this way too:
>
> http://askubuntu.com/questions/453605/ralink-rt-3290-bluetooth-problem-
> on-ubuntu-14-04
>
> It works, partially.
> It only pairs really old device like my Nokia E65. I can send/receive
> files.
> Newer devices like my LG G3 doesn't see my laptop and cannot pair.
> Can you please explain what should we do exactly?
> Thanks... i don't wont to turn back to windows os...
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1189721
>
> Title:
> Ralink RT3290 doesn't have a bluetooth driver
>
> Status in Linux:
> Unknown
> Status in Linux Mint:
> Confirmed
> Status in linux package in Ubuntu:
> Confirmed
>
> Bug description:
> As of Raring Ubuntu has a wifi driver for the RT3290 that works out of
> the box.
>
> It still does not have bluetooth support.
>
> This thread in the Ubuntu forums links to a driver that is claimed to
> work:
>
> http://ubuntuforums.org/showthread.php?t=2115570
> ---
> ApportVersion: 2.9.2-0ubuntu8.3
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: graeme 2412 F.... pulseaudio
> CRDA:
> country GB:
> (2402 - 2482 @ 40), (N/A, 20)
> (5170 - 5250 @ 40), (N/A, 20)
> (5250 - 5330 @ 40), (N/A, 20), DFS
> (5490 - 5710 @ 40), (N/A, 27), DFS
> DistroRelease: Ubuntu 13.04
> EcryptfsInUse: Yes
> HibernationDevice: RESUME=UUID=2d107179-35e2-4b1f-8bdd-90a01132ec70
> InstallationDate: Installed on 2013-05-17 (144 days ago)
> InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Release amd64
> (20130424)
> MachineType: Hewlett-Packard HP ProBook 4540s
> MarkForUpload: True
> Package: linux (not installed)
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.8.0-31-generic
> root=UUID=ac74fd89-3445-4a6d-b91b-ae4987867afe ro quiet splash
> acpi_backlight=vendor vt.handoff=7
> ProcVersionSignature: Ubuntu 3.8.0-31.46-generic 3.8.13.8
> RelatedPackageVersions:
> linux-restricted-modules-3.8.0-31-generic N/A
> linux-backports-modules-3.8.0-31-generic N/A
> linux-firmware 1.106
> RfKill:
> 0: phy0: Wireless LAN
> Soft blocked: no
> Hard blocked: no
> Tags: raring
> Uname: Linux 3.8.0-31-generic x86_64
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups: adm cdrom dialout dip lpadmin plugdev sambashare sudo
> dmi.bios.date: 11/06/2012
> dmi.bios.vendor: Hewlett-Packard
> dmi.bios.version: 68IRR Ver. F.32
> dmi.board.name: 17F6
> dmi.board.vendor: Hewlett-Packard
> dmi.board.version: KBC Version 58.1D
> dmi.chassis.type: 10
> dmi.chassis.vendor: Hewlett-Packard
> dmi.modalias:
> dmi:bvnHewlett-Packard:bvr68IRRVer.F.32:bd11/06/2012:svnHewlett-Packard:pnHPProBook4540s:pvrA1018...

Read more...

Alex10336 (ap10336) wrote :

with file: https://github.com/alexandre-mbm/rt3290/releases/download/3.9.3-patched/rtbth_3.9.3-patched-1_amd64.deb

$ sudo dpkg -i rtbth_3.9.3-patched-1_amd64.deb
Sélection du paquet rtbth précédemment désélectionné.
(Lecture de la base de données... 250357 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de rtbth_3.9.3-patched-1_amd64.deb ...
Dépaquetage de rtbth (3.9.3-patched-1) ...
Paramétrage de rtbth (3.9.3-patched-1) ...
depmod: WARNING: could not open /lib/modules/3.19.0-22-generic/modules.order: No such file or directory
depmod: WARNING: could not open /lib/modules/3.19.0-22-generic/modules.builtin: No such file or directory
$ sudo modprobe rtbth
modprobe: ERROR: ../libkmod/libkmod-module.c:816 kmod_module_insert_module() could not find module by name='rtbth'
modprobe: ERROR: could not insert 'rtbth': Function not implemented
Open dev fail: No such device or address

Alex10336 (ap10336) wrote :

sorry for double:
$ uname -a
Linux xxx 3.19.0-26-generic #28-Ubuntu SMP Tue Aug 11 14:16:32 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

 Alex10336, no try to use DEB file downloaded from last link. Follow the two tutorials. Generate your DEB by using checkinstall.

still having the problem with ubuntu wily new kernel:
corrado@corrado-wily:~$ uname -a
Linux corrado-wily 4.1.0-3-generic #3-Ubuntu SMP Tue Jul 28 12:25:10 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
corrado@corrado-wily:~$

@corradoventu, which the install method you have tried?

just installed new kernel with dist-upgrade, no additional install.

@corradoventu, I ask if you followed my comment #155.

Høst (helvete) wrote :

@alexandre-mbm

I followed the instructions (these two ones) from your coment:
https://github.com/alexandre-mbm/rt3290/wiki/Checkinstall

I'm able to see devices, and when I try to pair both devices (laptop and phone) will give me the same paircode, but after clicking "It matches" it'll fail to pair, leaving bt unusable with a padlock in the icon tray.
I'd like to provide you logs in order to fix it. Tell me if you want some logs.

I'm using Wily with kernel 4.2 so I can't use Your patch.

corrado@corrado-wily2:~/Downloads$ sudo dpkg -i rtbth_3.9.3-patched-1_amd64.deb
[sudo] password for corrado:
Selecting previously unselected package rtbth.
(Reading database ... 217656 files and directories currently installed.)
Preparing to unpack rtbth_3.9.3-patched-1_amd64.deb ...
Unpacking rtbth (3.9.3-patched-1) ...
Setting up rtbth (3.9.3-patched-1) ...
depmod: WARNING: could not open /lib/modules/3.19.0-22-generic/modules.order: No such file or directory
depmod: WARNING: could not open /lib/modules/3.19.0-22-generic/modules.builtin: No such file or directory
corrado@corrado-wily2:~/Downloads$
corrado@corrado-wily2:~/Downloads$ uname -a
Linux corrado-wily2 4.2.0-7-generic #7-Ubuntu SMP Tue Sep 1 16:43:10 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
corrado@corrado-wily2:~/Downloads$

PLEASE help me.
I have Ubuntu 14.04.3 installed (kernel 3.19) and could not even get WiFi to work properly on this shitty card. Stock driver rt2800pci has very poor performance (very low signal and speed). I have tried installing and uninstalling ALL dkms packages from other bug report here:

https://bugs.launchpad.net/bugs/1049466

but no success. WiFi disconnects very frequently and does not connect back again until reboot though when working for a few minutes works great.
Alexandre Magno, please help me and provide with a latest patch for WiFi support for RT3290 on Ubuntu 14.04 (kernel 3.19) or Linux Mint 17.2 (Kernel 3.16).

If you could also help me with Bluetooth that would be great. I tried your patch by building .deb using Checkinstall but it failed pairing phones.

Looking forward to your reply.

Unfortunately I can not help you. I have no time to investigate the problems with the wifi. I did not do patches. Only organized tips on how to compile and install a code found on the Internet. Study from wiki.

Adnan (adnan786thegreat) wrote :

Still getting nowhere from where I posted the source code modifications on askubuntu. I see that this bug is assigned to visred for a long time. How's he doing? I once successfully transferred a file from laptop to my HTC Incredible S via bluetooth (some 3.16-rc8 kernel) but couldn't send vice versa. Anyone tried to force use some other firmware module on this hardware, like Atheros' or Broadcom's on this one? I don't know how to do it. I even tried contacting the original source code writer of Ralink (Now Mediatek) engineer Shiang Wang on linkedin, but he never replied.

Shankey (shankeybisht3) wrote :

this bug is still present in Ubuntu 15.04 the r3290 Bluetooth doesn't detected at all...whenever i go to the Bluetooth settings it shows me "no Bluetooth adapters found"

https://github.com/alexandre-mbm/rt3290/releases/download/3.9.3-patched/rtbth_3.9.3-patched-1_amd64.deb

i have also tried the above solution but still it doesn't works on both 14.04.3 as well as on Ubuntu 15.04. Also r3290 WiFi adapter in Ubuntu 15.04 has poor signal strength also it drops the connection at every 10mins.

Ubuntu developers, please solve this bug its very annoying. i had tried almost every solution and still the Bluetooth doesn't show up in unity panel Its opened from 2 years in LP and still not yet fixed

My brother is using the kernel 4.04; touchpad, bluetooth and wifi works fine after of rebuild with checkinstall.

Tiberghien (jactib-w) wrote :

I tried, kernel 4.04 , installed rtbh patched.7z blutooth headphones Module recognized acknowledged but recognized phone, but no way to connect! (linux mint 17.2)
I tried, kernel 4.04 installed rtbh patched.7z Blutooth Module
  recognized .Eecognized headset and phone, but no way to connect!

Adnan (adnan786thegreat) wrote :

Please explain in full detail. Alexandre, is your brother able to successfully pair with other bluetooth devices and send + receive data? Then please give a full step by step guide.

Hi, Adnam,

He told me that uses mouse and keyboard simultaneously.

1) Install and use (boot) the kernel 4.04.
2) Do: https://github.com/alexandre-mbm/rt3290/wiki/Checkinstall
3) After: https://github.com/alexandre-mbm/rt3290/releases/tag/3.9.3-patched

Alexandre

Shankey (shankeybisht3) wrote :

after using this package "http://www.mediafire.com/download/2t59ayhx9fxxfoh/rtbth-3.9.3-patched.7z"
my bluetooth started working but the problem is Ubuntu doesn’t show the bluetooth networking services DUN etc.. also I am unable to send any files from phone to my laptop but my laptop bluetooth is able to send the files to my phone.

Anybody here is experiencing the same issue???

Yes, Shankey. If I'm not mistaken and if I remember correctly, this is the code that I have used in that project at GitHub.

Randy Winchester (randy) wrote :

I've tried various drivers reported above to fix this over the last year, but it still affects me too.

HP G2 250
Ubuntu 15.04, 64 bit
3.19.0-31-generic

No bluetooth on startup. No Bluetooth adapters found.

I'm adding my comment so that I'll see updates on activities for this bug.

The "success" that I got was with wifi's bad sensibility and bluetooth without communication with smartphone.

Hồng Quân (ng-hong-quan) wrote :

Still exists in Ubuntu 15.10

$ uname -a
Linux Werewolf 4.2.0-16-generic #19-Ubuntu SMP Thu Oct 8 15:35:06 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

I want notify that I have no more access to a test machine. The project at GitHub is stopped but still accepts pull requests. Sorry.

My brother donated the machine to my brother in law and he does not use GNU/Linux.

Gary Smith (gary-smith-rsa) wrote :

This is seriously disheartening ...

Bug #1189721 reported by Graeme Pietersz on 2013-06-11
That was 2 years and 5 months ago!!

No disrespect to Alexandre but his report of a working solution seems to be a bit shaky in that we don't have any specifics of the circumstances under which it is operating.

Unfortunately there is also a lot of "noise" - reports that a fix is working ... until the first reboot etc ...

Other than this issue both 14.04 and 15.10 are very iffy on my HP Pavilion 11.

I though that the days of unsupported hardware were behind us but it appears not.

I am hoping that this gets to the attention of the Ubuntu/Canonical team although after 2 years and 5 months one would have thought that it would have been seen and addressed?

If there are too many bugs to deal with, maybe the Ubuntu team needs to reign in the development and consolidate for a while??

Tomáš (halamek-tomas) on 2015-11-16
affects: linux (Ubuntu) → bluetooth
Changed in bluetooth:
assignee: visred (visred) → Tomáš (halamek-tomas)
Høst (helvete) wrote :

https://github.com/alinefr/rtbth
Does it work for anyone? It's supposed to work with 4.1.* kernels. It'd be great if someone compiled it and installed it by the easiest way:
make
sudo make install
sudo modprobe rtbth

I can't test it, as I'm on 14.04.

Høst (helvete) wrote :

Installed 4.1.2-040102 kernel on Ubuntu 14.04 and I was able to compile and install the rtbth driver with dkms. The same thing happens again: can't pair with any device.

So, I think that the last Ubuntu release on which it works flawlessly is 13.10. Maybe it works with a newer Ubuntu release but it's veeeeeeeeeeery unlikely to happen.

maocoptr (xdmaocoptr) wrote :

Ubuntu 15.10
4.2.0-30-generic
08:00.1 Bluetooth: Ralink corp. RT3290 Bluetooth

found a driver that supposed to work:
https://github.com/f1u77y/rtbth

i managed to build it and install, but still wont show up in rfkill or hcitool dev

try maybe you will have more luck

Mihara (medvedev) wrote :

The sources at https://github.com/f1u77y/rtbth are the same "fix" that has been bounced in this thread for most of a year. It gets the driver to compile and run, but none of it actually works, and nobody who actually knows enough about bluetooth internals has so far cared to look at it.

That's it for me. I've replaced my card with Intel Wireless-N 7260 and so far, it's been working with no complaints whatsoever as both WiFi and Bluetooth.

Screw this...
...card out and replace it, is my recommended workaround.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubuntu:
status: New → Confirmed
brad (dragonsawareness) wrote :

Still an issue with ubuntu 16.04

also with Ubuntu 16.10

ProRunner (mrprorunner) wrote :

Do any of the above solutions work for 16.10? Or currently there's no working bluetooth driver for Ralink RT3290 in 16.04?

My 'lspci -v' for 3290 lines: http://paste.ubuntu.com/16311034/

Any updates? Is this ever gonna work?

Ashesh (user501254) wrote :

Is this ever gonna work?
Other workarounds too don't seem to be working anymore. Somehow this has a really low severity when it really shouldn't.
A lot of HP and other laptops come with this device.

Gary Smith, no problems. I was trying to solve the issue for my brother, and the notebook is no longer with us.

The code in my repository worked for us. But it needs be compiled for each new kernel that is installed on machine, because it is not prepared with dkms.

Months passed and I'm not able to send feedback. Sorry.

During this time my brother "gave" the HP notebook to our brother-in-law. My brother bought a Dell. He lost the patience! He is a man very busy and lives in another city. Our brother-in-law has not interest in GNU/Linux.

I also have not time and am far from the research related to this issue. Sorry.

Mihara, my brother has replaced the entire notebook because he also wanted a device with support to pens. That notebook is full of issues for him; same with Windows, the pen is without pressure and there is not compatibility with market.

Ashesh, if you want GNU/Linux, migrate to Dell systems. It is the recipe that works better! The competitor must suffer because of the lack of attention it does not give to FOSS (free and open source software).

Høst (helvete) wrote :

@Alexandre Magno

What did you mean by "it's not prepared with dkms"? Further steps are necessary besides compiling it with dkms with the current kernel?

As someone else said before this problem has almost no importance in the Linux community. I wonder if Arch's users are able to send/receive files using this network card since there's a patch made specifically for Arch's kernel.
Besides that, why does no one change the importance status of this bug?

Jan Vodochalek (kukulo2011) wrote :

I was able to test the driver from https://github.com/f1u77y/rtbth on my RT3290LE Bluetooth adapter. The pairing with A2DP device - Nokia 5230 was successful, but pairing with an android device with BT ver 4 not. The hcitool reports lower version of BT - 2.1 than the device itself is capable. Pairing with 2.1 devices and lower is possible, pairing with higher V 4 fails.

Høst (helvete) wrote :

Another interesting bug:
If you disabble bluetooth, besides it 2on't turn on again, it will spam the system log (you can launch dmesg -wH to view the live output) with a particular line:

[...]
[ +0.102396] BthIsr():-->HCI_RUNNING not set!
[...]

I guess it has something to do with rtbth_core_bluez.c, which is mentioned a lot on sites that try to fix this bug. Oh, and it's the only file that contains references to the aforementioned log.

Jan Vodochalek (kukulo2011) wrote :

The bug with not pairing is related to simple pairing mode for the bluetooth > V2.1. I tried to turn off the simple pairing mode with

sudo hciconfig hci0 sspmode 0

but that is giving me this error:

Can't set Simple Pairing mode on hci0: Input/output error (5)

Is there another way to disable the simple pairing mode? The devices, which do not support the simple pairing mode are working.

Blaze (blaze) wrote :

I've created a package rtbth-dkms based on source https://github.com/f1u77y/rtbth
but still not happy with it's current state.

It would be nice if someone can help with the driver enabling/disabling on hibernate and sleep.

Tankypon (tankypon) wrote :

I just tried your driver on Ubuntu 16.04 with the kernel 4.7.2 and I cannot make it work. My system log is spammed with: 'BthIsr():-->HCI_RUNNING not set!'.

Blaze (blaze) wrote :

>kernel 4.7.2
You need a stock kernel.

Blaze (blaze) wrote :

I've updated the driver to work with kernel 4.8 and kernels above 4.5 (probably).

Blaze (blaze) wrote :

Fixed kernel panics on driver load/unload with kernels above 4.4.
Rfkill now works pretty good too.

If you find my work here helpful please consider to donate
via my Pateron account https://www.patreon.com/blazy

Alex10336 (ap10336) wrote :

What « work » are you talking about ?

You should consider this is not a place to claim or requesting donate...

rigodon (rcolladof) wrote :

Still an issue with ubuntu 16.04 and Mint 18...does not have bluetooth support.

ASUS X552L

lspci -v output
03:00.1 Bluetooth: Ralink corp. RT3290 Bluetooth
 Subsystem: Foxconn International, Inc. RT3290 Bluetooth
 Flags: bus master, fast devsel, latency 0, IRQ 10
 Memory at f7c00000 (32-bit, non-prefetchable) [size=64K]
 Capabilities: [40] Power Management version 3
 Capabilities: [50] MSI: Enable- Count=1/32 Maskable- 64bit+
 Capabilities: [70] Express Endpoint, MSI 00
 Capabilities: [100] Advanced Error Reporting
 Capabilities: [140] Device Serial Number 00-00-7c-95-c0-b1-08-10

Blaze (blaze) wrote :

If someone thinks that hacking this unpleasant kernel module code is a piece of cake then why didn't he do it himself?

Høst (helvete) wrote :

@Blaze
I don't see any "work", lol
But seriously speaking, if you fixed it and you're gonna publish the fix, then we all are gonna be very thankful with you.

Randy Winchester (randy) wrote :

I installed the .deb, #2 for 16.04LTS and rebooted. I still see the "No
bluetooth adapters found" message in the settings app. Is there additional
installation that needs to be done?

On Tue, Sep 27, 2016 at 2:39 AM, Blaze <email address hidden> wrote:

> It's already published.
>
> Packages:
> for Yakkety
> https://launchpad.net/~blaze/+archive/ubuntu/test/+files/
> rtbth-dkms_3.9.4.4-1~yakkety~ppa1_all.deb
> for Xenial
> https://launchpad.net/~blaze/+archive/ubuntu/lts-backports/+
> files/rtbth-dkms_3.9.4.4-1~yakkety~ppa1_all.deb
> Yeah, it says "yakkety", I know.
>
> Source:
> https://launchpad.net/~blaze/+archive/ubuntu/test/+files/
> rtbth-dkms_3.9.4.4.orig.tar.xz
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1189721
>
> Title:
> Ralink RT3290 doesn't have a bluetooth driver
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/bluetooth/+bug/1189721/+subscriptions
>

--
Randy Winchester
PO Box 426074
Cambridge, MA 02142
<email address hidden>

Blaze (blaze) wrote :

>Is there additional
>installation that needs to be done?

$ sudo modprobe rtbth
$ sudo rfkill unblock bluetooth

Check if it's working.
$ hcitool dev

It's not necessary to use rfkill every time. DE GUI tools can enable Bluetooth too.

Systemd service for autoloading this driver is in the pipe.

Høst (helvete) wrote :

@blaze
Just installed the Xenial package and apparently bluetooth now seems to work, but I'm still getting the pairing error (can't send/receive files too). Tested with a 4.0 BT LE device.

dmesg output:
[ +0.002681] RTBTH_IOCDMAC: dmac.dmac_op=1
[ +0.519990] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[ +0.000006] Bluetooth: BNEP filters: protocol multicast
[ +0.000009] Bluetooth: BNEP socket layer initialized
[ +0.712093] Bluetooth: RFCOMM TTY layer initialized
[ +0.000012] Bluetooth: RFCOMM socket layer initialized
[ +0.000013] Bluetooth: RFCOMM ver 1.11
[ +34.549791] RTBTH_IOCDMAC: dmac.dmac_op=2 <- this line keeps appearing whenever I try to pair with the bt device

rfkill list:
1: hci0: Bluetooth
 Soft blocked: no
 Hard blocked: no

uname -a:
Linux schutzstaffel 4.7.0-040700-generic #201608021801 SMP Tue Aug 2 22:03:09 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

Blaze (blaze) wrote :

Dunno if this chip even supports Bluetooth 4.0+ but blob does not for sure.

Blaze (blaze) wrote :
Høst (helvete) wrote :

@blaze

The information must be wrong. It doesn't support WiFi ac nor it's just BT 3.0+HS.

http://www.ubuntu.com/certification/catalog/component/pci/103c:18ec/1814:3298/
http://h20564.www2.hp.com/hpsc/swd/public/detail?swItemId=vc_132456_1
Windoze device manager recognizes it as a BT4.0 chip, too.

Be it 3.0 or 4.0, the pairing feature is still broken. It used to work on Ubuntu <13.10 with my BT4.0 LE device.

Blaze (blaze) wrote :

>It used to work on Ubuntu <13.10 with my BT4.0 LE device.

Okay, but I have no devices to debug this stuff atm.
Anyways, does anyone know which was the last kernel version it was working with finely?

Høst (helvete) wrote :

From Ubuntu's wiki

"Ubuntu 13.10 includes the 3.11.0-12.19 Ubuntu Linux kernel which was based on the v3.11.3 upstream Linux kernel"

But somewhat Ubuntu >14.04 managed to mess things up because even if you install that kernel BT still won't work. There must be a problem (as well) with the BT manager.

Still not working with Ubuntu 16.10 on my HP 250

Blaze (blaze) wrote :

Well, there's nothing interesting between 3.11 and 3.13 kernel releases.
I see no changes that can affect device pairing.

Still not working with Ubuntu 17.04 on my HP 250

Høst (helvete) wrote :

@Blaze
According to:
http://wirama.web.id/rt3290-bluetooth-rtbth-driver-with-kernel-3-13/ there were some changes made to the kernel that rendered our driver useless. If you don't have any device atm for testing I can be your tester.

Høst (helvete) wrote :

No one is officially working on this. It's more useful to have an open bug with no 'maintainer' rather than one with a ghost 'maintainer'.

Changed in bluetooth:
assignee: Tomáš (halamek-tomas) → nobody
Blaze (blaze) wrote :

@Host

Do you mean this patch https://gist.github.com/initrunlevel0/11025774 ?

The first three changes are ok, however he did them without checking the kernel version (ugh, bad), but commenting out the line

>hdev->ioctl = rtbt_hci_dev_ioctl;

wasn't so smart. So ok, I'll look what I can do here.

Blaze (blaze) wrote :

For everyone who wanna test the shit out of this driver there're new packages here:
https://launchpad.net/~blaze/+archive/ubuntu/rtbth-dkms/+packages

Now the driver can be used with any kernel since 2012 and maybe even earlier.
Therefore it's possible to track down the exact one where something went wrong.

But I still think that the cause behind the pairing issue is rather inside the outdated old firmware.

Cieslix (cieslix) wrote :

@Blaze

I have Ubuntu 16.04 and ASUS with RT3290 Wireless/BT. After I've installed your driver I able to connect to my Android phone (pair is not failing, I was also able to use Bluetooth Router). I successfully connected BT Headset and BT Keyboard.

Just I've had to run "sudo modprobe rtbth"

Thx

raffaele (kaotik-85) wrote :

hi @Blaze and @Cieslix,
is enough install tha deb hosted here https://launchpad.net/~blaze/+archive/ubuntu/rtbth-dkms/+packages?

Høst (helvete) wrote :

@Blaze
Just tried your latest package for xenial in live-cd mode and with my main computer, no luck so far.

I'll try this driver in the upcoming days with older Ubuntu releases. I remember that Ubuntu 13.10 was the last distro on which this driver worked perfectly (I mean I was even able to use my computer as bluetooth speaker).

Here's some dmesg output:
[ +0.000011] Bluetooth: RFCOMM ver 1.11
[Dec 4 12:14] RTBTH_IOCDMAC: dmac.dmac_op=2
[ +1.254250] Bluetooth: rtbt_hci_dev_notify(dev=0xffff8c42135f0000): evt=0x1
[ +1.381398] RTBTH_IOCDMAC: dmac.dmac_op=2
[ +0.035970] Bluetooth: rtbt_hci_dev_notify(dev=0xffff8c42135f0000): evt=0x2
[ +11.771352] Bluetooth: rtbt_hci_dev_notify(dev=0xffff8c42135f0000): evt=0x1
[ +7.484640] RTBTH_IOCDMAC: dmac.dmac_op=2
[ +0.020686] Bluetooth: rtbt_hci_dev_notify(dev=0xffff8c42135f0000): evt=0x2

That's what I get when I try to pair with my phone (BT 4.0 LE). As someone else mentioned earlier, I think that there are no problems with BT <4.0 devices (that's why people is able to connect with bt keyboards and such things).

Blaze (blaze) wrote :

>Here's some dmesg output:

This output simply means that the remote device closes the connection. Why? Who knows.

You can get more verbose output by changing the DebugLevel variable's value (rtbth_hlpr_dbg.c) from ERROR to TRACE and recompiling the driver, but I'm not sure this can help either.

raffaele (kaotik-85) wrote :

@Blaze

I tried the deb package from launchpad but does not work, the bluetooth is unavailable. Any suggestions?

@Blaze: On my laptop HP250 I downloaded the package from launchpad on Ubuntu Trusty:
corrado@corrado-trusty:~$ uname -a
Linux corrado-trusty 3.13.0-105-generic #152-Ubuntu SMP Fri Dec 2 15:37:11 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux
corrado@corrado-trusty:~$
Installed succesfuly.
activated with 'sudo modprobe rtbth'
Bluetooth status appears in the menu bar but I'm unable to connect a Bluetooth loudspeaker that is working fine on my HP620.
Bluetooth loudspeaker is detected, added successfuly, but failed to connect.
In the attached zip you will find output from: dmesg, inxi, log, lspci.
I hope this will be useful, let me know if You need more info.
Tomorrow i hope to repeat the same try on Ubuntu Xenial and Zesty.
Thanks for Your work.

Blaze (blaze) wrote :

Hello, corrado venturini. Thank you for testing, but as Mr. Høst says here some changes affecting pairing did happen before Trusty (kernel 3.13) or maybe since that actual release. Therefore it would be nice if someone will test out the driver against Ubuntu Precise (12.04 LTS). It's not necessary to install it, live session would do also.

Downloaded from launchpad and installed succesfuly on Ubuntu 12.04.4

corrado@corrado-HP-pre:~$ uname -a
Linux corrado-HP-pre 3.11.0-15-generic #25~precise1-Ubuntu SMP Thu Jan 30 17:39:31 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux
corrado@corrado-HP-pre:~$

activated with 'sudo modprobe rtbth' I was able to connect and use my Bluetooth loudspeaker.
Let me know if you need more info (log, dmesg ...)

I was also able to connect and play music to another laptop using a different bluetooth chip and running Ubuntu 16.04

Downloaded from launchpad and installed succesfuly on Ubuntu 16.04

corrado@corrado-HP-xeni:~$ inxi
CPU~Dual core Intel Core i5-4210U (-HT-MCP-) speed/max~1685/2700 MHz Kernel~4.4.0-51-generic x86_64 Up~34 min Mem~1156.2/3883.3MB HDD~500.1GB(3.3% used) Procs~232 Client~Shell inxi~2.2.35
corrado@corrado-HP-xeni:~$

activated with 'sudo modprobe rtbth' I was able to connect and use my Bluetooth loudspeaker and also send sound and a file to another laptop using a different bluetooth chip and running Ubuntu 16.04.

The 1st time i was unable to use the driver in Ubuntu 16.04. may be the Bluetooth remain some way active also after shutdown+power-off and reboot?

Let me know if you need more info (log, dmesg ...)

also with 16.10 and 17.04 it was successful!!!

Blaze (blaze) wrote :

I've tried to use the latest firmware and as far as I can see it works better or at least faster. The result of my investigations was published here:

https://github.com/loimu/rtbth-dkms/tree/master/tools#firmware-upgrade

Jan Vodochalek (kukulo2011) wrote :

Driver tested on Wily 15.10 - compiled. The pairing with BT 4 LE devices still not possible.

Blaze (blaze) wrote :

>The pairing with BT 4 LE devices still not possible.

The most liable reason behind that is an outdated firmware.

Jan Vodochalek (kukulo2011) wrote :

Strange, because I used the script in tools to update the firmware in the binary rtbth driver loader, then reloaded the driver with modprobe. Is the driver confirmed to work on other systems? Does it pair BT V4 devices as well? I can pair and transfer files with BT V2, but not cannot pair with BT V4. When pairing with BT V4, after confirming the pin, the Bluetooth manager says an error message that the pin does not match.

Blaze (blaze) wrote :

rtbt isn't a loader it's the driver itself. And it's running in userspace. The other stuff (kernel module) is just a userspace-to-kernelspace wrapper. Have you replaced /usr/bin/rtbt with the patched one?

Jan Vodochalek (kukulo2011) wrote :

Yes, I did it with sudo make install. Of course I modified the makefile, so I could use the make install command. I tried it yesterday again with the same result. Is the source for the rtbt available?

Blaze (blaze) wrote :

Sources are not available, it's a proprietary part. But it's Linux API agnostic, so if something changes it shouldn't affect the functionality of the driver.

Jan Vodochalek (kukulo2011) wrote :

Is the driver confirmed to work with BT V4?

Blaze (blaze) wrote :

Some people say it's working or was working before. However for me it's still not clear, as I have no devices to test with.

Blaze (blaze) wrote :

Oh, btw can you test this driver on a 12.04 LTS live session?

Jan Vodochalek (kukulo2011) wrote :

Sure, but I have a problem with my computer which is using AMD graphics and that was not working with Raring, but I will give it a try. Meanwhile I decompiled the rtbt binary. I am attaching the output. Hopefully you can make a use of it. The syntax is C+, but I think it is far from being able compiled by gcc.

The version of the rtbt which was decompiled it the same on your github + contains the newest firmware.

Jan Vodochalek (kukulo2011) wrote :

I can confirm successful pairing on Precise 12.04.5 with Bluetooth V4, but file sending is not working as the connection is dropping after 1 or 2 seconds and then reconnects.

Blaze (blaze) wrote :

Yeah, I have a decompiled file already. But, as far as it cannot be compiled back with all the resources included, there's not much use of it. There are non-zero chances to get the sources from Mediatek, but you need to find the right person and maybe to sign some NDA. It would be better to try that.

Jan Vodochalek (kukulo2011) wrote :

I am wondering what the Mediatek is going to protect with NDA. The rt3290 combo card is a legacy product and moreover they abandoned the support of the card. Will be they selling this product in the future ? Anyway, there is only 64bit version out in the linux domain only for one platform. új

Jan Vodochalek (kukulo2011) wrote :

You will need following source files. I am attaching the list.

(In reply to Ashesh Kumar Singh from comment #3)
> Any updates? Is this ever gonna work?

No, it does not working in any vanilla kernel.
A workaround is installing rtbth as described here
https://bbs.archlinux.org/viewtopic.php?id=176121
After installing this driver I can pair and send files fro my android phone, but cannot connect to my bluetooth headphones.

Jan Vodochalek (kukulo2011) wrote :

The problem is in the rtbt binary. The BT V4 and BT V2 pairing routines are completely different. I traced the rtbt binary with edb debugger and I could find the LMssp_LM_User_Confirmation_Request_Reply routine activated only with BT V4 devices. Eventually we could pair BT V4 devices with patched rtbt binary in order to pair BT V4 devices.

Høst (helvete) wrote :

@kukulo2011
If you're going to use the driver on Ubuntu 12.04 you can use the unpatched version that is several replies back in this thread. It works flawlessly with Ubuntu 12.10 (up to Ubuntu 13.10).

Just installed the driver on Manjaro Linux, but the bt chip appears to not be recognized by the OS. Also, I remember that if I did an 'sudo modprobe rtbth', the light would turn from orange to white. But it's not turning white, lol.

Some outputs
[schutzstaffel@kristallnacht ~]$ uname -a
Linux kristallnacht 4.9.0-1-MANJARO #1 SMP PREEMPT Fri Dec 23 10:47:01 UTC 2016 x86_64 GNU/Linux

sudo lspci -v:
02:00.1 Bluetooth: Ralink corp. RT3290 Bluetooth
 Subsystem: Hewlett-Packard Company Ralink RT3290LE 802.11bgn 1x1 Wi-Fi and Bluetooth 4.0 Combo Adapter
 Flags: bus master, fast devsel, latency 0, IRQ 16
 Memory at f0200000 (32-bit, non-prefetchable) [size=64K]
 Capabilities: [40] Power Management version 3
 Capabilities: [50] MSI: Enable- Count=1/32 Maskable- 64bit+
 Capabilities: [70] Express Endpoint, MSI 00
 Capabilities: [100] Advanced Error Reporting
 Capabilities: [140] Device Serial Number 00-00-ba-ac-a0-dc-84-0c
 Kernel driver in use: rtbt
 Kernel modules: rtbth

relevant dmesg output when rmmod'ing rtbth and then modprobe'ing it again:

[ +5.990406] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[Jan16 20:38] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
[ +12.505436] Bluetooth: rtbt_hps_iface_deinit(): hciDev=0xffff9cb2b5504000
[ +0.002935] Bluetooth: remove rtbt_pci_driver done!
[ +13.172726] Bluetooth: RTBT_Tb: vendor=0x1814, device=0x3298
[ +0.000002] Bluetooth: RTBT_Tb: vendor=0x0, device=0x0
[ +0.000002] Bluetooth: DynamicAlloc pci_device_id table at 0xffff9cb2491e4f40 with size 64
[ +0.000001] Bluetooth: RTBT_Tb: vendor=0x1814, device=0x3298
[ +0.000001] Bluetooth: Convert: vendor=0x1814, device=0x3298
[ +0.000002] Bluetooth: RTBT_Tb: vendor=0x0, device=0x0
[ +0.000001] Bluetooth: pci_device_id: vendor=0x1814, device=0x3298
[ +0.000186] Bluetooth: rtbt_pci_probe(): PCI Dev(0000:02:00.1) get resource at 0xf0200000,VA 0xffffb95442c60000,IRQ 16.
[ +0.000010] Bluetooth: call dev_ops->dev_ctrl_init!
[ +0.000017] Bluetooth: call dev_ops->dev_resource_init!
[ +0.000208] RX_Base_PTR0(0x180)= 0x371cd000
[ +0.000798] RX_Base_PTR1(0x190)= 0x280

Installed the driver from the last github link with 'sudo make install' (yes I did comment the 3 lines before installing it) and then patched it. No luck so far.

Jan Vodochalek (kukulo2011) wrote :

When you want to patch the rtbt binary with newest firmware, you should do it befofe sudo make install. You can repeat the sudo make install after patching the binary. I will give it a try on 12.10 live system.

Jan Vodochalek (kukulo2011) wrote :

I tried the Ubuntu 12.10 with the rtbt driver, but the situation is the same as with the 12.04: The BT V4 device can pair, but cannot transfer files. Moreover the connection drops each 1-2 seconds, then reconnects.

Høst (helvete) wrote :

@kukulo2011
Which driver are you using? There's a zip somewhere among all the previous replies that works *absolutely* flawlessly. I guess the patched version doesn't work with older kernel releases.

Try using Ubuntu 13.10 - the last Ubuntu release on which the driver worked with no problems.

As for the driver, whatever I did it wouldn't work. Even without patching the driver it should at least initialize the bt device, but it doesn't seem to enable the bt chip. The module is loaded in kernel, though. Perhaps it doesn't work on non-ubuntu kernels.

Blaze (blaze) wrote :

2 Höst

1. It's simply not possible that you were using the same driver every and each ubuntu release because kernel API is constantly changing.

2. Since you are a dualboot user there is a high probability that you already had an updated firmware from windoze session. That's why you had no issues at some point. But now it's fixed and the stock firmware is being loaded at every driver startup. Ironically it's the old outdated and buggy firmware. :) Remember: it's almost 5 years old.

Jan Vodochalek (kukulo2011) wrote :

@Host

The bluetooth driver I was using with Ubuntu 12.04 and 12.10 was the loimu's driver. The rtbth.ko was compiled without problems. Pairing with BT V2 possible, pairing with BT V4 as well, but I was unable to send data to BT V4 and the connection dropped after 2 seconds. I've tried the firmware from windows bluetooth driver: I shortened the file by three bytes and used the update-driver.sh in the tools directory, then used sudo make install. Unfortunately the windows firmware is working the same way - I cannot pair in simple secure mode. The rtbt user space driver is doing the pin comparison and rejecting the connection. I guess the rtbt user space driver needs to be corrected. In the later kernels the data structures were changing, but the rtbt binary remained unchanged and thus some structures are failing to get processed by rtbt binary. If we would have source then the thing would be straight forward, but without source modifying the rtbt binary really depends on how lucky is the one, who is tracing the binary. The rtbt binary is possible to trace with edb debugger in user space, but the tracing is complicated in the timeout routines, where the other bluetooth party is setting timeout on communication channel and thus making the tracing difficult.

Blaze (blaze) wrote :

>In the later kernels
>the data structures were changing, but the rtbt binary remained
>unchanged and thus some structures are failing to get processed by rtbt
>binary.

But is it possible to track down the exact kernel version where those changes did happen? So we can find out at least what was changed (ioctl api for example). That's the information I'm trying to get here all the way, but nobody's willing to help. Maybe it's even possible to came up with some workaround on the kernelspace side but only if you know exactly what's wrong.

Jan Vodochalek (kukulo2011) wrote :

It is quite hard, since I have no source for the rtbt. The kernel 3.18 was ok to pair, but the kernel 4.02 is not pairing in simple secure mode. When I compiled the wrapper rtbth some time ago, I checked the source and there are data structure changes between these two versions. You have this already implemented in your source via macros, which is checking the kernel version. Can happen that some more structures are changes.

Blaze (blaze) wrote :

But I didn't touch any structures except "rtbt_hps_ops" and now it's in an original state besides it's not being used inside the userspace part.

Jan Vodochalek (kukulo2011) wrote :

The work was done previously, before you took over the source. Check the kernel macros in the source.

Blaze (blaze) wrote :

But I had to revisit and rework all the changes that were done before up to an original version in order to make the module compile with every kernel since v3.2. So now I'm pretty confident that every single change works how it should and has no sideffects.

Jan Vodochalek (kukulo2011) wrote :

Is it possible that the changes to bluetooth package affect the driver pairing? What I have tested, the Bt v4 pairing on Ubuntu 12.04 and 12.10 succeeds, but on 14.04 and later not. The differences that could affect the functioning are kernel and bluetooth package - bluez. When I tried to pair with command line on 15.10, the pairing was not successful due to mismatched pin.

Blaze (blaze) wrote :

Can it be that some security imrovements had been made on the bluez side? As a result default pin is not being accepted in simple secure mode.

Jan Vodochalek (kukulo2011) wrote :

The default pin does not matter. In ssm both pins are shown up. Each time a new set of pins is generated. When I click on accept pin, the rtbt routine LMssp_LM_User_Confirmation_Request_Reply is being executed. When I traced the binary, for some reason the comparison routine is not reached. It can be that some signals in the bluez changed in the header files, the hexadecimal value of some strings. I would be looking for something like that. The bluez 4.98 was with kernel 3.18 working, the bluez 5.35 with kernel 4.2.0 is not pairing.

Blaze (blaze) wrote :

Oh, I guess you may be right. It looks more like a protocol story rather than an API story. In the worst case scenario we can patch bluez and bluez-obexd to make the whole thing work again as it should.

Jan Vodochalek (kukulo2011) wrote :

I would first get the source diff of bluez and when we have the root cause of the pin mismatch, then I would decide whether is reasonable to patch bluez or the rtbt binary.

Høst (helvete) wrote :

@kukulo2011 (post 252)

Having Windoze doesn't always mean that it will update critical firmware components (it doesn't, and I barely use Windows). I just installed Ubuntu 13.10 on a usb drive along with the respective drivers (rt3290sta for wifi and rtbt for bt) and almost everything works as expected. However I noticed some things that as far I remember didn't happen in 12.04-13.04:

- When trying to send/receive a file, the transfer dialog returns an error (it doesn't even connect to the device).
- BT FTP browsing works, but nautilus gives an error (it was something like 'backend doesn't support this') when trying to download/upload a file to the bt client, which, in this case, was my phone. It's not my phone's fault, though.
- Oddly, applications can download data if you open anything. For example, if you open a picture, the image viewer will download and display it.
- The connection doesn't drop when using the PC as bluetooth speaker.
This suggests me that something is wrong in Ubuntu's bluetooth stack.

I've been following this since a while ago and I remember that back when Ubuntu 14.04 was out I tried:
- downgrading the kernel
- downgrading everything bluez-related
Nothing worked. I'm now thinking about downloading older Ubuntu versions on which the driver worked ok and then try upgrading bluez/kernel to see what happens.
Count me in if you want a tester.

Jan Vodochalek (kukulo2011) wrote :

@Host

Can you trace with edb debugger this routine inside rtbt?

LMssp_LM_User_Confirmation_Request_Reply()
{// addr = 0x00486064
    long long _v16; // _cfa_fffffff0
    long long _v32; // _cfa_ffffffe0
    long long _v40; // _cfa_ffffffd8
    long long _v48; // _cfa_ffffffd0
    _unknown_ __rbp; // r59
    long long _t73; // _t73
    long long _t96; // _t96
    long long _t102; // _t102
    long long _t109; // _t109
    long long _t110; // _t110

    _v32 = _t102;
    _v40 = _t109;
    _v48 = _t96;
    _t73 = _v40;
    _t110 = _t73;
    LM_Find_Link_Table_Entry();
    _v16 = _t73;
    if(_v16 == 0) {
        return;
    }
    if(( *(_v16 + 122) & 65535) == 31) { // *(_v16 + 122) & 65535) = 31
        if(( *(_v16 + 219) & 255) != 0) {
            DM_Clear_Timer(); //0x0049bbf4 //timer cleared
             *(_v16 + 219) = 0;
        }
        if(( *(_v16 + 216) & 255) == 0) {
             *(_v16 + 221) = 1;
            if(( *(_v16 + 220) & 255) == 0) { //0x48615c we go here
                 *(_v16 + 122) = 33; //put 33 decimal value to pointer *(_v16 + 122) and quit writing du
            } else {
                if(( *(_v16 + 221) & 255) == 1) {
                    r8d = 65;
                    LMP_Send_Accepted(); //0x00494DF6
                    _t110 = _v16;
                    _LMssp_Send_LMP_DH_Key_Check() //0x0048983A
                   }
            }
        } else {
             *(_v16 + 221) = 1;
            if(( *(_v16 + 225) & 255) != 0) {
                _t110 = _v16;
                _LMssp_Send_LMP_DH_Key_Check();//0x0048983A
                 *(_v16 + 122) = 32;
            }
        }
        write_du(6, _v16 + 424, _v48, _t110); //we get here and quit
        return;
    } else {
        return;
    }

Somehow the value at the *(_v16 + 220) in this routine is zero and the program is quitting before _LMssp_Send_LMP_DH_Key_Check() is reached. This is not the case on Ubuntu 12.04 and 12.10 where it is pairing. I would be interested how it is on Ubuntu 12.10. You will need a BT V4 device in order to pair with simple secure mode and reach this routine.

The decompiled file is provided in the earlier post.

Blaze (blaze) wrote :

_v16 stores the output of LM_Find_Link_Table_Entry() which can be 0 when RtlCompareMemory() is non-zero (error) on the last iteration. See the link below.

http://paste.ubuntu.com/23880923/

Blaze (blaze) wrote :

Logic an physical link table structures from include/rt3298_iomap.h:

http://paste.ubuntu.com/23881034/

Jan Vodochalek (kukulo2011) wrote :

At the address 0x48615c I've got jump, so the memory at the address (_v16 + 220) & 255) equals 0, which is wrong. This way we never reach the _LMssp_Send_LMP_DH_Key_Check() routine.

I would need to trace this on Ubuntu 12.10 where is the pairing successful.

I could nop-out the jump at the address 0x48615c and reach the _LMssp_Send_LMP_DH_Key_Check(), but the comparison is done in the _LMssp_Send_LMP_DH_Key_Check(), so the patch of rtbt was so far without pairing.

Blaze (blaze) wrote :

Correction:
>on the last iteration
on every iteration
Or there's another way also but it doesn't really make sense. I'm being confused here.

Blaze (blaze) wrote :

So my basic theory is: LM_Find_Link_Table_Entry() is trying to read something (link table) from efuse data and when the data is malformed LMssp_LM_User_Confirmation_Request_Reply() fails. Now it's only left to find out why is the data malformed.

Blaze (blaze) wrote :

How about to try compiling the driver with an ancient gcc version (4.5.3)?

Jan Vodochalek (kukulo2011) wrote :

I traced the rtbt binary on 12.10. The result is:
Ubuntu 12.10:

48609b - jump taken
4860b3 -jump
4860cc - no jump
486102 - jump
48615c - jump

It means, that the _v16 value is zero on Ubuntu 12.10. So the function LM_Find_Link_Table_Entry() should return 0 value. For some reason the comparison in that routine is returning non zero value on 15.10.
The rest of the LMssp_LM_User_Confirmation_Request_Reply() routine on 12.10 clears the timer and writes du then quits.

Jan Vodochalek (kukulo2011) wrote :

I have got the same trace on Ubuntu 15.10. So LM_Find_Link_Table_Entry() returns a valid pointer value as it should. However I still haven't got pairing in 15.10.

Antonio (fagottino) wrote :

I had this problem on Hp ENVY 15-j040el and Ubuntu 16.04 and I solved the problem with this (Italian) guide
http://forum.ubuntu-it.org/viewtopic.php?f=9&t=617322&p=4961328#p4961328

Jan Vodochalek (kukulo2011) wrote :

Can you pair with BT V4 devices?

shihiro (asd616-0) wrote :

New Deb-File look here: https://launchpad.net/~blaze/+archive/ubuntu/rtbth-dkms

Use in terminal

sudo add-apt-repository ppa:blaze/rtbth-dkms sudo apt-get update

and look in synaptic for package rtbth-dkms and install it

or load and install it here https://launchpad.net/~blaze/+archive/ubuntu/rtbth-dkms/+packages

On the first link there is the source link to GitHub https://github.com/loimu/rtbth-dkms

On README.md you can read:

# Init sudo modprobe rtbth
sudo rfkill unblock bluetooth
hcitool dev # check

i typed it in terminal and everything works.

There exists a rtbth that works with latest kernels https://github.com/loimu/rtbth-dkms

Can that be integrated into the kernel?

Høst (helvete) wrote :

According to https://bugzilla.kernel.org/show_bug.cgi?id=84521, there's a kernel module that seems to be working (https://github.com/loimu/rtbth-dkms). I can't test it by myself since I replaced the wireless combo with a Qualcomm-Atheros card.

It's (at least) compatible with most HP laptops and all-in-one desktops. I can understand that a lot of you aren't in the position of buying a new card, but if you're interested here's the datasheet:
https://wikidevi.com/files/Atheros/specsheets/AR9462.pdf

Blaze (blaze) wrote :

Høst wrote:
> According to https://bugzilla.kernel.org/show_bug.cgi?id=84521, there's
> a kernel module that seems to be working (https://github.com/loimu
> /rtbth-dkms). I can't test it by myself since I replaced the wireless
> combo with a Qualcomm-Atheros card.
>
> It's (at least) compatible with most HP laptops and all-in-one desktops. I
> can understand that a lot of you aren't in the position of buying a new
> card, but if you're interested here's the datasheet:
> https://wikidevi.com/files/Atheros/specsheets/AR9462.pdf

Well, that's my Github profile. And I already asked a number of times to
test the driver against GCC 4.5 to see if the pairing works, but still no one
did.

Alex10336 (ap10336) wrote :

@Blaze: Can you update make/install instruction ?

clone & make seem to work. (gcc 5.4)

Blaze (blaze) wrote :

Alex10336 wrote:
> @Blaze: Can you update make/install instruction ?
>
> clone & make seem to work. (gcc 5.4)

GCC 4.5 is an oldish GCC version Ubuntu 12.04 had in times of the driver
release (see the doc provided by Ralink). But today you need to compile
and install it yourself. Computer savvy people required.

Ralink doc on the driver:
https://github.com/loimu/rtbth-dkms/blob/master/doc/Ubuntu
%20RT3290%20Bluetooth%20Host%20Driver%20User%20Guide.pdf

Alex10336 (ap10336) wrote :

Hello,

Step followed, one by one.
Still fail on pairing. saying no same paring code for a phone. Just fail for a mouse.

kernel 4.4.0 / ubuntu base 17.04

Still fail in Aardvark 17.10

No pairing even on my ubuntu 16.04 4-8..-rt
Sad, bluetooth is one function basic for me.

Ashesh (user501254) wrote :

Four years since this was reported and still no proper Bluetooth support on this!

Carlos Renê (slipttees) wrote :

Here too. Lubuntu 18.04 LTS daily build 01/11/2018. HP Pavilion x360. Kernel 4.13.0-25.

brad (dragonsawareness) wrote :

https://forums.linuxmint.com/viewtopic.php?f=49&t=172945&sid=64abd72188d9ab7e90aa76da2a241d0f&start=20#p1278925

Can anyone confirm if this solution from the Linux mint forums works?

"Step-by-step solution Open new terminal (ctrl+alt+t) and type as follows:

mkdir ~/tmp
cd ~/tmp
git clone https://github.com/alinefr/rtbth.git
cd rtbth
make
sudo make install
sudo cp -r ~/rtbth /usr/src/rtbth-3.9.3
sudo dkms install rtbth/3.9.3
sudo nano /etc/modules
Add there "rtbth" at the end, then ctrl+o and ENTER (to save the file) and ctrl+x to close the editor
Reboot"

still same problem on Ubuntu Bionic 18.04
corrado@corrado-HP-p3-bb:~$ inxi -SCx
System: Host: corrado-HP-p3-bb Kernel: 4.15.0-10-generic x86_64 bits: 64 gcc: 7.3.0
           Desktop: Gnome 3.27.92 (Gtk 3.22.28-1ubuntu3)
           Distro: Ubuntu Bionic Beaver (development branch)
CPU: Dual core Intel Core i5-4210U (-MT-MCP-) arch: Haswell rev.1 cache: 3072 KB
           flags: (lm nx sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx) bmips: 9578
           clock speeds: max: 2700 MHz 1: 1304 MHz 2: 1448 MHz 3: 1210 MHz 4: 1484 MHz
corrado@corrado-HP-p3-bb:~$
09:00.1 Bluetooth: Ralink corp. RT3290 Bluetooth
 Subsystem: Hewlett-Packard Company Ralink RT3290LE 802.11bgn 1x1 Wi-Fi and Bluetooth 4.0 Combo Adapter
 Flags: bus master, fast devsel, latency 0
 Memory at b2500000 (32-bit, non-prefetchable) [size=64K]
 Capabilities: [40] Power Management version 3
 Capabilities: [50] MSI: Enable- Count=1/32 Maskable- 64bit+
 Capabilities: [70] Express Endpoint, MSI 00
 Capabilities: [100] Advanced Error Reporting
 Capabilities: [140] Device Serial Number 00-00-5e-03-82-b8-d1-ac

#286

Just to confirm, the instructions from comment #286 still work in latest Ubuntu 17.10.1

There is a but, you have to modify source code from the cloned repository in order to compile it

You have to change

HCI_BREDR

with

HCI_PRIMARY

in rtbth_core_bluez.c.

After that, all compiles and works.

I'm using it with my bt headphones (SBH-20), **but the quality of the sound is awful**

Just to be clear.. the quality of the sound is related to the driver, not to the bt headphones.. I mean, maybe it's an old driver that does not support A2DP

Update:

After struggling with blueman software, I managed to get the A2DP profile sound to work.

Basically, dont connect the bt hardware with the Preferences->Bluetooth section. Just ignore it in this section.

Then, connect the device with blueman software. After you've configured it, select the A2DP profile

swadesh Parasher (swadesh) wrote :

Will there ever be a fix for this bug?
Have been waiting for a while.
I am using ubuntu 18.04 and it is a nuisance not being able to listen to music or use bluetooth devices.

eyes only (eyes-only) wrote :

#288
Update. Now on kernel 4.15, it seems that it cannot be compiled.

rigodon (rcolladof) wrote :

Here is the solution at least for ASUS X552L & Linux Mint 19.1
https://webwiks.com/techcorner/get-ralink-rt3290-wifi-work-linux-distribution/

Jan Vodochalek (kukulo2011) wrote :

There is a fix for the pairing on https://github.com/loimu/rtbth-dkms/pull/4

for the RTBTH_IOCDMAC: dmac.dmac_op=2

Blaze, can you take look at this pull request and let it test?

Jan Vodochalek (kukulo2011) wrote :

I also changed:

        case RTBTH_IOCDMAC:
            do {
                struct rtbth_dmac dmac;

                if (copy_from_user(&dmac, (void *)arg, sizeof(dmac))) {
                    retval = -EFAULT;
                    DebugPrint(ERROR, DBG_INIT,"copy_from_user failed at %d\n", __LINE__);
                    break;
                }
                DebugPrint(ERROR, DBG_INIT,"RTBTH_IOCDMAC: dmac.dmac_op=%d\n", dmac.dmac_op);

                if(dmac.dmac_op == 0){
                    RtbtResetPDMA(gpAd);
                }else if(dmac.dmac_op == 1){
                    BthEnableRxTx(gpAd);
                }else if(dmac.dmac_op == 2){
                    DebugPrint(TRACE, DBG_MISC, "%s:kfifo reset ==>\n", __func__);
                    kfifo_reset(gpAd->acl_fifo);
                    kfifo_reset(gpAd->hci_fifo);
                    kfifo_reset(gpAd->evt_fifo);
                    kfifo_reset(gpAd->sco_fifo);
                    kfifo_reset(gpAd->rx_fifo);
                    DebugPrint(TRACE, DBG_MISC, "%s:kfifo reset <== \n", __func__);
                }
                else {
                     DebugPrint(ERROR, DBG_INIT,"No such the dma op = %d\n", dmac.dmac_op);
                }
            }while(0);
break;

to:

        case RTBTH_IOCDMAC:
            do {
                struct rtbth_dmac dmac;

                if (copy_from_user(&dmac, (void *)arg, sizeof(dmac))) {
                    retval = -EFAULT;
                    DebugPrint(ERROR, DBG_INIT,"copy_from_user failed at %d\n", __LINE__);
                    break;
                }
                DebugPrint(ERROR, DBG_INIT,"RTBTH_IOCDMAC: dmac.dmac_op=%d\n", dmac.dmac_op);

                if(dmac.dmac_op == 2){
                    DebugPrint(TRACE, DBG_MISC, "%s:kfifo reset ==>\n", __func__);
                    kfifo_reset(gpAd->acl_fifo);
                    kfifo_reset(gpAd->hci_fifo);
                    kfifo_reset(gpAd->evt_fifo);
                    kfifo_reset(gpAd->sco_fifo);
                    kfifo_reset(gpAd->rx_fifo);
                    DebugPrint(TRACE, DBG_MISC, "%s:kfifo reset <== \n", __func__);
                }

                if(dmac.dmac_op == 0){
                    RtbtResetPDMA(gpAd);
                }
                if(dmac.dmac_op == 1){
                    BthEnableRxTx(gpAd);
                } else {
                     DebugPrint(ERROR, DBG_INIT,"No such the dma op = %d\n", dmac.dmac_op);
                }

            }while(0);
            break;

Now it is the pairing even more reliable. Paired 5 different devices including bluetooth audio device.

Somehow the execution was not reaching this part:

  if(dmac.dmac_op == 2){
                    DebugPrint(TRACE, DBG_MISC, "%s:kfifo reset ==>\n", __func__);
                    kfifo_reset(gpAd->acl_fifo);
                    kfifo_reset(gpAd->hci_fifo);
                    kfifo_reset(gpAd->evt_fifo);
                    kfifo_reset(gpAd->sco_fifo);
                    kfifo_reset(gpAd->rx_fifo);
                    DebugPrint(TRACE, DBG_MISC, "%s:kfifo reset <== \n", __func__);
                }

It is the interrupt causing it?

Any updates on this one?

That I'm still failing at dating.

Changed in linux:
importance: Unknown → Medium
status: Unknown → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.